// SPDX-License-Identifier: MIT
// Copyright (C) 2018-present iced project and contributors

using System;
using System.Collections.Generic;
using Iced.Intel;

namespace Iced.UnitTests.Intel {
	static partial class ToEnumConverter {
		public static bool TryMnemonic(string value, out Mnemonic mnemonic) => mnemonicDict.TryGetValue(value, out mnemonic);
		public static Mnemonic GetMnemonic(string value) => TryMnemonic(value, out var mnemonic) ? mnemonic : throw new InvalidOperationException($"Invalid Mnemonic value: {value}");

		static readonly Dictionary<string, Mnemonic> mnemonicDict =
			// GENERATOR-BEGIN: MnemonicHash
			// ⚠️This was generated by GENERATOR!🦹‍♂️
			new Dictionary<string, Mnemonic>(1838, StringComparer.Ordinal) {
				{ "INVALID", Mnemonic.INVALID },
				{ "Aaa", Mnemonic.Aaa },
				{ "Aad", Mnemonic.Aad },
				{ "Aam", Mnemonic.Aam },
				{ "Aas", Mnemonic.Aas },
				{ "Adc", Mnemonic.Adc },
				{ "Adcx", Mnemonic.Adcx },
				{ "Add", Mnemonic.Add },
				{ "Addpd", Mnemonic.Addpd },
				{ "Addps", Mnemonic.Addps },
				{ "Addsd", Mnemonic.Addsd },
				{ "Addss", Mnemonic.Addss },
				{ "Addsubpd", Mnemonic.Addsubpd },
				{ "Addsubps", Mnemonic.Addsubps },
				{ "Adox", Mnemonic.Adox },
				{ "Aesdec", Mnemonic.Aesdec },
				{ "Aesdeclast", Mnemonic.Aesdeclast },
				{ "Aesenc", Mnemonic.Aesenc },
				{ "Aesenclast", Mnemonic.Aesenclast },
				{ "Aesimc", Mnemonic.Aesimc },
				{ "Aeskeygenassist", Mnemonic.Aeskeygenassist },
				{ "And", Mnemonic.And },
				{ "Andn", Mnemonic.Andn },
				{ "Andnpd", Mnemonic.Andnpd },
				{ "Andnps", Mnemonic.Andnps },
				{ "Andpd", Mnemonic.Andpd },
				{ "Andps", Mnemonic.Andps },
				{ "Arpl", Mnemonic.Arpl },
				{ "Bextr", Mnemonic.Bextr },
				{ "Blcfill", Mnemonic.Blcfill },
				{ "Blci", Mnemonic.Blci },
				{ "Blcic", Mnemonic.Blcic },
				{ "Blcmsk", Mnemonic.Blcmsk },
				{ "Blcs", Mnemonic.Blcs },
				{ "Blendpd", Mnemonic.Blendpd },
				{ "Blendps", Mnemonic.Blendps },
				{ "Blendvpd", Mnemonic.Blendvpd },
				{ "Blendvps", Mnemonic.Blendvps },
				{ "Blsfill", Mnemonic.Blsfill },
				{ "Blsi", Mnemonic.Blsi },
				{ "Blsic", Mnemonic.Blsic },
				{ "Blsmsk", Mnemonic.Blsmsk },
				{ "Blsr", Mnemonic.Blsr },
				{ "Bndcl", Mnemonic.Bndcl },
				{ "Bndcn", Mnemonic.Bndcn },
				{ "Bndcu", Mnemonic.Bndcu },
				{ "Bndldx", Mnemonic.Bndldx },
				{ "Bndmk", Mnemonic.Bndmk },
				{ "Bndmov", Mnemonic.Bndmov },
				{ "Bndstx", Mnemonic.Bndstx },
				{ "Bound", Mnemonic.Bound },
				{ "Bsf", Mnemonic.Bsf },
				{ "Bsr", Mnemonic.Bsr },
				{ "Bswap", Mnemonic.Bswap },
				{ "Bt", Mnemonic.Bt },
				{ "Btc", Mnemonic.Btc },
				{ "Btr", Mnemonic.Btr },
				{ "Bts", Mnemonic.Bts },
				{ "Bzhi", Mnemonic.Bzhi },
				{ "Call", Mnemonic.Call },
				{ "Cbw", Mnemonic.Cbw },
				{ "Cdq", Mnemonic.Cdq },
				{ "Cdqe", Mnemonic.Cdqe },
				{ "Cl1invmb", Mnemonic.Cl1invmb },
				{ "Clac", Mnemonic.Clac },
				{ "Clc", Mnemonic.Clc },
				{ "Cld", Mnemonic.Cld },
				{ "Cldemote", Mnemonic.Cldemote },
				{ "Clflush", Mnemonic.Clflush },
				{ "Clflushopt", Mnemonic.Clflushopt },
				{ "Clgi", Mnemonic.Clgi },
				{ "Cli", Mnemonic.Cli },
				{ "Clrssbsy", Mnemonic.Clrssbsy },
				{ "Clts", Mnemonic.Clts },
				{ "Clwb", Mnemonic.Clwb },
				{ "Clzero", Mnemonic.Clzero },
				{ "Cmc", Mnemonic.Cmc },
				{ "Cmova", Mnemonic.Cmova },
				{ "Cmovae", Mnemonic.Cmovae },
				{ "Cmovb", Mnemonic.Cmovb },
				{ "Cmovbe", Mnemonic.Cmovbe },
				{ "Cmove", Mnemonic.Cmove },
				{ "Cmovg", Mnemonic.Cmovg },
				{ "Cmovge", Mnemonic.Cmovge },
				{ "Cmovl", Mnemonic.Cmovl },
				{ "Cmovle", Mnemonic.Cmovle },
				{ "Cmovne", Mnemonic.Cmovne },
				{ "Cmovno", Mnemonic.Cmovno },
				{ "Cmovnp", Mnemonic.Cmovnp },
				{ "Cmovns", Mnemonic.Cmovns },
				{ "Cmovo", Mnemonic.Cmovo },
				{ "Cmovp", Mnemonic.Cmovp },
				{ "Cmovs", Mnemonic.Cmovs },
				{ "Cmp", Mnemonic.Cmp },
				{ "Cmppd", Mnemonic.Cmppd },
				{ "Cmpps", Mnemonic.Cmpps },
				{ "Cmpsb", Mnemonic.Cmpsb },
				{ "Cmpsd", Mnemonic.Cmpsd },
				{ "Cmpsq", Mnemonic.Cmpsq },
				{ "Cmpss", Mnemonic.Cmpss },
				{ "Cmpsw", Mnemonic.Cmpsw },
				{ "Cmpxchg", Mnemonic.Cmpxchg },
				{ "Cmpxchg16b", Mnemonic.Cmpxchg16b },
				{ "Cmpxchg8b", Mnemonic.Cmpxchg8b },
				{ "Comisd", Mnemonic.Comisd },
				{ "Comiss", Mnemonic.Comiss },
				{ "Cpuid", Mnemonic.Cpuid },
				{ "Cqo", Mnemonic.Cqo },
				{ "Crc32", Mnemonic.Crc32 },
				{ "Cvtdq2pd", Mnemonic.Cvtdq2pd },
				{ "Cvtdq2ps", Mnemonic.Cvtdq2ps },
				{ "Cvtpd2dq", Mnemonic.Cvtpd2dq },
				{ "Cvtpd2pi", Mnemonic.Cvtpd2pi },
				{ "Cvtpd2ps", Mnemonic.Cvtpd2ps },
				{ "Cvtpi2pd", Mnemonic.Cvtpi2pd },
				{ "Cvtpi2ps", Mnemonic.Cvtpi2ps },
				{ "Cvtps2dq", Mnemonic.Cvtps2dq },
				{ "Cvtps2pd", Mnemonic.Cvtps2pd },
				{ "Cvtps2pi", Mnemonic.Cvtps2pi },
				{ "Cvtsd2si", Mnemonic.Cvtsd2si },
				{ "Cvtsd2ss", Mnemonic.Cvtsd2ss },
				{ "Cvtsi2sd", Mnemonic.Cvtsi2sd },
				{ "Cvtsi2ss", Mnemonic.Cvtsi2ss },
				{ "Cvtss2sd", Mnemonic.Cvtss2sd },
				{ "Cvtss2si", Mnemonic.Cvtss2si },
				{ "Cvttpd2dq", Mnemonic.Cvttpd2dq },
				{ "Cvttpd2pi", Mnemonic.Cvttpd2pi },
				{ "Cvttps2dq", Mnemonic.Cvttps2dq },
				{ "Cvttps2pi", Mnemonic.Cvttps2pi },
				{ "Cvttsd2si", Mnemonic.Cvttsd2si },
				{ "Cvttss2si", Mnemonic.Cvttss2si },
				{ "Cwd", Mnemonic.Cwd },
				{ "Cwde", Mnemonic.Cwde },
				{ "Daa", Mnemonic.Daa },
				{ "Das", Mnemonic.Das },
				{ "Db", Mnemonic.Db },
				{ "Dd", Mnemonic.Dd },
				{ "Dec", Mnemonic.Dec },
				{ "Div", Mnemonic.Div },
				{ "Divpd", Mnemonic.Divpd },
				{ "Divps", Mnemonic.Divps },
				{ "Divsd", Mnemonic.Divsd },
				{ "Divss", Mnemonic.Divss },
				{ "Dppd", Mnemonic.Dppd },
				{ "Dpps", Mnemonic.Dpps },
				{ "Dq", Mnemonic.Dq },
				{ "Dw", Mnemonic.Dw },
				{ "Emms", Mnemonic.Emms },
				{ "Encls", Mnemonic.Encls },
				{ "Enclu", Mnemonic.Enclu },
				{ "Enclv", Mnemonic.Enclv },
				{ "Endbr32", Mnemonic.Endbr32 },
				{ "Endbr64", Mnemonic.Endbr64 },
				{ "Enqcmd", Mnemonic.Enqcmd },
				{ "Enqcmds", Mnemonic.Enqcmds },
				{ "Enter", Mnemonic.Enter },
				{ "Extractps", Mnemonic.Extractps },
				{ "Extrq", Mnemonic.Extrq },
				{ "F2xm1", Mnemonic.F2xm1 },
				{ "Fabs", Mnemonic.Fabs },
				{ "Fadd", Mnemonic.Fadd },
				{ "Faddp", Mnemonic.Faddp },
				{ "Fbld", Mnemonic.Fbld },
				{ "Fbstp", Mnemonic.Fbstp },
				{ "Fchs", Mnemonic.Fchs },
				{ "Fclex", Mnemonic.Fclex },
				{ "Fcmovb", Mnemonic.Fcmovb },
				{ "Fcmovbe", Mnemonic.Fcmovbe },
				{ "Fcmove", Mnemonic.Fcmove },
				{ "Fcmovnb", Mnemonic.Fcmovnb },
				{ "Fcmovnbe", Mnemonic.Fcmovnbe },
				{ "Fcmovne", Mnemonic.Fcmovne },
				{ "Fcmovnu", Mnemonic.Fcmovnu },
				{ "Fcmovu", Mnemonic.Fcmovu },
				{ "Fcom", Mnemonic.Fcom },
				{ "Fcomi", Mnemonic.Fcomi },
				{ "Fcomip", Mnemonic.Fcomip },
				{ "Fcomp", Mnemonic.Fcomp },
				{ "Fcompp", Mnemonic.Fcompp },
				{ "Fcos", Mnemonic.Fcos },
				{ "Fdecstp", Mnemonic.Fdecstp },
				{ "Fdisi", Mnemonic.Fdisi },
				{ "Fdiv", Mnemonic.Fdiv },
				{ "Fdivp", Mnemonic.Fdivp },
				{ "Fdivr", Mnemonic.Fdivr },
				{ "Fdivrp", Mnemonic.Fdivrp },
				{ "Femms", Mnemonic.Femms },
				{ "Feni", Mnemonic.Feni },
				{ "Ffree", Mnemonic.Ffree },
				{ "Ffreep", Mnemonic.Ffreep },
				{ "Fiadd", Mnemonic.Fiadd },
				{ "Ficom", Mnemonic.Ficom },
				{ "Ficomp", Mnemonic.Ficomp },
				{ "Fidiv", Mnemonic.Fidiv },
				{ "Fidivr", Mnemonic.Fidivr },
				{ "Fild", Mnemonic.Fild },
				{ "Fimul", Mnemonic.Fimul },
				{ "Fincstp", Mnemonic.Fincstp },
				{ "Finit", Mnemonic.Finit },
				{ "Fist", Mnemonic.Fist },
				{ "Fistp", Mnemonic.Fistp },
				{ "Fisttp", Mnemonic.Fisttp },
				{ "Fisub", Mnemonic.Fisub },
				{ "Fisubr", Mnemonic.Fisubr },
				{ "Fld", Mnemonic.Fld },
				{ "Fld1", Mnemonic.Fld1 },
				{ "Fldcw", Mnemonic.Fldcw },
				{ "Fldenv", Mnemonic.Fldenv },
				{ "Fldl2e", Mnemonic.Fldl2e },
				{ "Fldl2t", Mnemonic.Fldl2t },
				{ "Fldlg2", Mnemonic.Fldlg2 },
				{ "Fldln2", Mnemonic.Fldln2 },
				{ "Fldpi", Mnemonic.Fldpi },
				{ "Fldz", Mnemonic.Fldz },
				{ "Fmul", Mnemonic.Fmul },
				{ "Fmulp", Mnemonic.Fmulp },
				{ "Fnclex", Mnemonic.Fnclex },
				{ "Fndisi", Mnemonic.Fndisi },
				{ "Fneni", Mnemonic.Fneni },
				{ "Fninit", Mnemonic.Fninit },
				{ "Fnop", Mnemonic.Fnop },
				{ "Fnsave", Mnemonic.Fnsave },
				{ "Fnsetpm", Mnemonic.Fnsetpm },
				{ "Fnstcw", Mnemonic.Fnstcw },
				{ "Fnstenv", Mnemonic.Fnstenv },
				{ "Fnstsw", Mnemonic.Fnstsw },
				{ "Fpatan", Mnemonic.Fpatan },
				{ "Fprem", Mnemonic.Fprem },
				{ "Fprem1", Mnemonic.Fprem1 },
				{ "Fptan", Mnemonic.Fptan },
				{ "Frndint", Mnemonic.Frndint },
				{ "Frstor", Mnemonic.Frstor },
				{ "Frstpm", Mnemonic.Frstpm },
				{ "Fsave", Mnemonic.Fsave },
				{ "Fscale", Mnemonic.Fscale },
				{ "Fsetpm", Mnemonic.Fsetpm },
				{ "Fsin", Mnemonic.Fsin },
				{ "Fsincos", Mnemonic.Fsincos },
				{ "Fsqrt", Mnemonic.Fsqrt },
				{ "Fst", Mnemonic.Fst },
				{ "Fstcw", Mnemonic.Fstcw },
				{ "Fstdw", Mnemonic.Fstdw },
				{ "Fstenv", Mnemonic.Fstenv },
				{ "Fstp", Mnemonic.Fstp },
				{ "Fstpnce", Mnemonic.Fstpnce },
				{ "Fstsg", Mnemonic.Fstsg },
				{ "Fstsw", Mnemonic.Fstsw },
				{ "Fsub", Mnemonic.Fsub },
				{ "Fsubp", Mnemonic.Fsubp },
				{ "Fsubr", Mnemonic.Fsubr },
				{ "Fsubrp", Mnemonic.Fsubrp },
				{ "Ftst", Mnemonic.Ftst },
				{ "Fucom", Mnemonic.Fucom },
				{ "Fucomi", Mnemonic.Fucomi },
				{ "Fucomip", Mnemonic.Fucomip },
				{ "Fucomp", Mnemonic.Fucomp },
				{ "Fucompp", Mnemonic.Fucompp },
				{ "Fxam", Mnemonic.Fxam },
				{ "Fxch", Mnemonic.Fxch },
				{ "Fxrstor", Mnemonic.Fxrstor },
				{ "Fxrstor64", Mnemonic.Fxrstor64 },
				{ "Fxsave", Mnemonic.Fxsave },
				{ "Fxsave64", Mnemonic.Fxsave64 },
				{ "Fxtract", Mnemonic.Fxtract },
				{ "Fyl2x", Mnemonic.Fyl2x },
				{ "Fyl2xp1", Mnemonic.Fyl2xp1 },
				{ "Getsec", Mnemonic.Getsec },
				{ "Gf2p8affineinvqb", Mnemonic.Gf2p8affineinvqb },
				{ "Gf2p8affineqb", Mnemonic.Gf2p8affineqb },
				{ "Gf2p8mulb", Mnemonic.Gf2p8mulb },
				{ "Haddpd", Mnemonic.Haddpd },
				{ "Haddps", Mnemonic.Haddps },
				{ "Hlt", Mnemonic.Hlt },
				{ "Hsubpd", Mnemonic.Hsubpd },
				{ "Hsubps", Mnemonic.Hsubps },
				{ "Ibts", Mnemonic.Ibts },
				{ "Idiv", Mnemonic.Idiv },
				{ "Imul", Mnemonic.Imul },
				{ "In", Mnemonic.In },
				{ "Inc", Mnemonic.Inc },
				{ "Incsspd", Mnemonic.Incsspd },
				{ "Incsspq", Mnemonic.Incsspq },
				{ "Insb", Mnemonic.Insb },
				{ "Insd", Mnemonic.Insd },
				{ "Insertps", Mnemonic.Insertps },
				{ "Insertq", Mnemonic.Insertq },
				{ "Insw", Mnemonic.Insw },
				{ "Int", Mnemonic.Int },
				{ "Int1", Mnemonic.Int1 },
				{ "Into", Mnemonic.Into },
				{ "Invd", Mnemonic.Invd },
				{ "Invept", Mnemonic.Invept },
				{ "Invlpg", Mnemonic.Invlpg },
				{ "Invlpga", Mnemonic.Invlpga },
				{ "Invpcid", Mnemonic.Invpcid },
				{ "Invvpid", Mnemonic.Invvpid },
				{ "Iret", Mnemonic.Iret },
				{ "Ja", Mnemonic.Ja },
				{ "Jae", Mnemonic.Jae },
				{ "Jb", Mnemonic.Jb },
				{ "Jbe", Mnemonic.Jbe },
				{ "Jcxz", Mnemonic.Jcxz },
				{ "Je", Mnemonic.Je },
				{ "Jecxz", Mnemonic.Jecxz },
				{ "Jg", Mnemonic.Jg },
				{ "Jge", Mnemonic.Jge },
				{ "Jl", Mnemonic.Jl },
				{ "Jle", Mnemonic.Jle },
				{ "Jmp", Mnemonic.Jmp },
				{ "Jmpe", Mnemonic.Jmpe },
				{ "Jne", Mnemonic.Jne },
				{ "Jno", Mnemonic.Jno },
				{ "Jnp", Mnemonic.Jnp },
				{ "Jns", Mnemonic.Jns },
				{ "Jo", Mnemonic.Jo },
				{ "Jp", Mnemonic.Jp },
				{ "Jrcxz", Mnemonic.Jrcxz },
				{ "Js", Mnemonic.Js },
				{ "Kaddb", Mnemonic.Kaddb },
				{ "Kaddd", Mnemonic.Kaddd },
				{ "Kaddq", Mnemonic.Kaddq },
				{ "Kaddw", Mnemonic.Kaddw },
				{ "Kandb", Mnemonic.Kandb },
				{ "Kandd", Mnemonic.Kandd },
				{ "Kandnb", Mnemonic.Kandnb },
				{ "Kandnd", Mnemonic.Kandnd },
				{ "Kandnq", Mnemonic.Kandnq },
				{ "Kandnw", Mnemonic.Kandnw },
				{ "Kandq", Mnemonic.Kandq },
				{ "Kandw", Mnemonic.Kandw },
				{ "Kmovb", Mnemonic.Kmovb },
				{ "Kmovd", Mnemonic.Kmovd },
				{ "Kmovq", Mnemonic.Kmovq },
				{ "Kmovw", Mnemonic.Kmovw },
				{ "Knotb", Mnemonic.Knotb },
				{ "Knotd", Mnemonic.Knotd },
				{ "Knotq", Mnemonic.Knotq },
				{ "Knotw", Mnemonic.Knotw },
				{ "Korb", Mnemonic.Korb },
				{ "Kord", Mnemonic.Kord },
				{ "Korq", Mnemonic.Korq },
				{ "Kortestb", Mnemonic.Kortestb },
				{ "Kortestd", Mnemonic.Kortestd },
				{ "Kortestq", Mnemonic.Kortestq },
				{ "Kortestw", Mnemonic.Kortestw },
				{ "Korw", Mnemonic.Korw },
				{ "Kshiftlb", Mnemonic.Kshiftlb },
				{ "Kshiftld", Mnemonic.Kshiftld },
				{ "Kshiftlq", Mnemonic.Kshiftlq },
				{ "Kshiftlw", Mnemonic.Kshiftlw },
				{ "Kshiftrb", Mnemonic.Kshiftrb },
				{ "Kshiftrd", Mnemonic.Kshiftrd },
				{ "Kshiftrq", Mnemonic.Kshiftrq },
				{ "Kshiftrw", Mnemonic.Kshiftrw },
				{ "Ktestb", Mnemonic.Ktestb },
				{ "Ktestd", Mnemonic.Ktestd },
				{ "Ktestq", Mnemonic.Ktestq },
				{ "Ktestw", Mnemonic.Ktestw },
				{ "Kunpckbw", Mnemonic.Kunpckbw },
				{ "Kunpckdq", Mnemonic.Kunpckdq },
				{ "Kunpckwd", Mnemonic.Kunpckwd },
				{ "Kxnorb", Mnemonic.Kxnorb },
				{ "Kxnord", Mnemonic.Kxnord },
				{ "Kxnorq", Mnemonic.Kxnorq },
				{ "Kxnorw", Mnemonic.Kxnorw },
				{ "Kxorb", Mnemonic.Kxorb },
				{ "Kxord", Mnemonic.Kxord },
				{ "Kxorq", Mnemonic.Kxorq },
				{ "Kxorw", Mnemonic.Kxorw },
				{ "Lahf", Mnemonic.Lahf },
				{ "Lar", Mnemonic.Lar },
				{ "Lddqu", Mnemonic.Lddqu },
				{ "Ldmxcsr", Mnemonic.Ldmxcsr },
				{ "Lds", Mnemonic.Lds },
				{ "Lea", Mnemonic.Lea },
				{ "Leave", Mnemonic.Leave },
				{ "Les", Mnemonic.Les },
				{ "Lfence", Mnemonic.Lfence },
				{ "Lfs", Mnemonic.Lfs },
				{ "Lgdt", Mnemonic.Lgdt },
				{ "Lgs", Mnemonic.Lgs },
				{ "Lidt", Mnemonic.Lidt },
				{ "Lldt", Mnemonic.Lldt },
				{ "Llwpcb", Mnemonic.Llwpcb },
				{ "Lmsw", Mnemonic.Lmsw },
				{ "Loadall", Mnemonic.Loadall },
				{ "Lodsb", Mnemonic.Lodsb },
				{ "Lodsd", Mnemonic.Lodsd },
				{ "Lodsq", Mnemonic.Lodsq },
				{ "Lodsw", Mnemonic.Lodsw },
				{ "Loop", Mnemonic.Loop },
				{ "Loope", Mnemonic.Loope },
				{ "Loopne", Mnemonic.Loopne },
				{ "Lsl", Mnemonic.Lsl },
				{ "Lss", Mnemonic.Lss },
				{ "Ltr", Mnemonic.Ltr },
				{ "Lwpins", Mnemonic.Lwpins },
				{ "Lwpval", Mnemonic.Lwpval },
				{ "Lzcnt", Mnemonic.Lzcnt },
				{ "Maskmovdqu", Mnemonic.Maskmovdqu },
				{ "Maskmovq", Mnemonic.Maskmovq },
				{ "Maxpd", Mnemonic.Maxpd },
				{ "Maxps", Mnemonic.Maxps },
				{ "Maxsd", Mnemonic.Maxsd },
				{ "Maxss", Mnemonic.Maxss },
				{ "Mcommit", Mnemonic.Mcommit },
				{ "Mfence", Mnemonic.Mfence },
				{ "Minpd", Mnemonic.Minpd },
				{ "Minps", Mnemonic.Minps },
				{ "Minsd", Mnemonic.Minsd },
				{ "Minss", Mnemonic.Minss },
				{ "Monitor", Mnemonic.Monitor },
				{ "Monitorx", Mnemonic.Monitorx },
				{ "Montmul", Mnemonic.Montmul },
				{ "Mov", Mnemonic.Mov },
				{ "Movapd", Mnemonic.Movapd },
				{ "Movaps", Mnemonic.Movaps },
				{ "Movbe", Mnemonic.Movbe },
				{ "Movd", Mnemonic.Movd },
				{ "Movddup", Mnemonic.Movddup },
				{ "Movdir64b", Mnemonic.Movdir64b },
				{ "Movdiri", Mnemonic.Movdiri },
				{ "Movdq2q", Mnemonic.Movdq2q },
				{ "Movdqa", Mnemonic.Movdqa },
				{ "Movdqu", Mnemonic.Movdqu },
				{ "Movhlps", Mnemonic.Movhlps },
				{ "Movhpd", Mnemonic.Movhpd },
				{ "Movhps", Mnemonic.Movhps },
				{ "Movlhps", Mnemonic.Movlhps },
				{ "Movlpd", Mnemonic.Movlpd },
				{ "Movlps", Mnemonic.Movlps },
				{ "Movmskpd", Mnemonic.Movmskpd },
				{ "Movmskps", Mnemonic.Movmskps },
				{ "Movntdq", Mnemonic.Movntdq },
				{ "Movntdqa", Mnemonic.Movntdqa },
				{ "Movnti", Mnemonic.Movnti },
				{ "Movntpd", Mnemonic.Movntpd },
				{ "Movntps", Mnemonic.Movntps },
				{ "Movntq", Mnemonic.Movntq },
				{ "Movntsd", Mnemonic.Movntsd },
				{ "Movntss", Mnemonic.Movntss },
				{ "Movq", Mnemonic.Movq },
				{ "Movq2dq", Mnemonic.Movq2dq },
				{ "Movsb", Mnemonic.Movsb },
				{ "Movsd", Mnemonic.Movsd },
				{ "Movshdup", Mnemonic.Movshdup },
				{ "Movsldup", Mnemonic.Movsldup },
				{ "Movsq", Mnemonic.Movsq },
				{ "Movss", Mnemonic.Movss },
				{ "Movsw", Mnemonic.Movsw },
				{ "Movsx", Mnemonic.Movsx },
				{ "Movsxd", Mnemonic.Movsxd },
				{ "Movupd", Mnemonic.Movupd },
				{ "Movups", Mnemonic.Movups },
				{ "Movzx", Mnemonic.Movzx },
				{ "Mpsadbw", Mnemonic.Mpsadbw },
				{ "Mul", Mnemonic.Mul },
				{ "Mulpd", Mnemonic.Mulpd },
				{ "Mulps", Mnemonic.Mulps },
				{ "Mulsd", Mnemonic.Mulsd },
				{ "Mulss", Mnemonic.Mulss },
				{ "Mulx", Mnemonic.Mulx },
				{ "Mwait", Mnemonic.Mwait },
				{ "Mwaitx", Mnemonic.Mwaitx },
				{ "Neg", Mnemonic.Neg },
				{ "Nop", Mnemonic.Nop },
				{ "Not", Mnemonic.Not },
				{ "Or", Mnemonic.Or },
				{ "Orpd", Mnemonic.Orpd },
				{ "Orps", Mnemonic.Orps },
				{ "Out", Mnemonic.Out },
				{ "Outsb", Mnemonic.Outsb },
				{ "Outsd", Mnemonic.Outsd },
				{ "Outsw", Mnemonic.Outsw },
				{ "Pabsb", Mnemonic.Pabsb },
				{ "Pabsd", Mnemonic.Pabsd },
				{ "Pabsw", Mnemonic.Pabsw },
				{ "Packssdw", Mnemonic.Packssdw },
				{ "Packsswb", Mnemonic.Packsswb },
				{ "Packusdw", Mnemonic.Packusdw },
				{ "Packuswb", Mnemonic.Packuswb },
				{ "Paddb", Mnemonic.Paddb },
				{ "Paddd", Mnemonic.Paddd },
				{ "Paddq", Mnemonic.Paddq },
				{ "Paddsb", Mnemonic.Paddsb },
				{ "Paddsw", Mnemonic.Paddsw },
				{ "Paddusb", Mnemonic.Paddusb },
				{ "Paddusw", Mnemonic.Paddusw },
				{ "Paddw", Mnemonic.Paddw },
				{ "Palignr", Mnemonic.Palignr },
				{ "Pand", Mnemonic.Pand },
				{ "Pandn", Mnemonic.Pandn },
				{ "Pause", Mnemonic.Pause },
				{ "Pavgb", Mnemonic.Pavgb },
				{ "Pavgusb", Mnemonic.Pavgusb },
				{ "Pavgw", Mnemonic.Pavgw },
				{ "Pblendvb", Mnemonic.Pblendvb },
				{ "Pblendw", Mnemonic.Pblendw },
				{ "Pclmulqdq", Mnemonic.Pclmulqdq },
				{ "Pcmpeqb", Mnemonic.Pcmpeqb },
				{ "Pcmpeqd", Mnemonic.Pcmpeqd },
				{ "Pcmpeqq", Mnemonic.Pcmpeqq },
				{ "Pcmpeqw", Mnemonic.Pcmpeqw },
				{ "Pcmpestri", Mnemonic.Pcmpestri },
				{ "Pcmpestri64", Mnemonic.Pcmpestri64 },
				{ "Pcmpestrm", Mnemonic.Pcmpestrm },
				{ "Pcmpestrm64", Mnemonic.Pcmpestrm64 },
				{ "Pcmpgtb", Mnemonic.Pcmpgtb },
				{ "Pcmpgtd", Mnemonic.Pcmpgtd },
				{ "Pcmpgtq", Mnemonic.Pcmpgtq },
				{ "Pcmpgtw", Mnemonic.Pcmpgtw },
				{ "Pcmpistri", Mnemonic.Pcmpistri },
				{ "Pcmpistrm", Mnemonic.Pcmpistrm },
				{ "Pcommit", Mnemonic.Pcommit },
				{ "Pconfig", Mnemonic.Pconfig },
				{ "Pdep", Mnemonic.Pdep },
				{ "Pext", Mnemonic.Pext },
				{ "Pextrb", Mnemonic.Pextrb },
				{ "Pextrd", Mnemonic.Pextrd },
				{ "Pextrq", Mnemonic.Pextrq },
				{ "Pextrw", Mnemonic.Pextrw },
				{ "Pf2id", Mnemonic.Pf2id },
				{ "Pf2iw", Mnemonic.Pf2iw },
				{ "Pfacc", Mnemonic.Pfacc },
				{ "Pfadd", Mnemonic.Pfadd },
				{ "Pfcmpeq", Mnemonic.Pfcmpeq },
				{ "Pfcmpge", Mnemonic.Pfcmpge },
				{ "Pfcmpgt", Mnemonic.Pfcmpgt },
				{ "Pfmax", Mnemonic.Pfmax },
				{ "Pfmin", Mnemonic.Pfmin },
				{ "Pfmul", Mnemonic.Pfmul },
				{ "Pfnacc", Mnemonic.Pfnacc },
				{ "Pfpnacc", Mnemonic.Pfpnacc },
				{ "Pfrcp", Mnemonic.Pfrcp },
				{ "Pfrcpit1", Mnemonic.Pfrcpit1 },
				{ "Pfrcpit2", Mnemonic.Pfrcpit2 },
				{ "Pfrcpv", Mnemonic.Pfrcpv },
				{ "Pfrsqit1", Mnemonic.Pfrsqit1 },
				{ "Pfrsqrt", Mnemonic.Pfrsqrt },
				{ "Pfrsqrtv", Mnemonic.Pfrsqrtv },
				{ "Pfsub", Mnemonic.Pfsub },
				{ "Pfsubr", Mnemonic.Pfsubr },
				{ "Phaddd", Mnemonic.Phaddd },
				{ "Phaddsw", Mnemonic.Phaddsw },
				{ "Phaddw", Mnemonic.Phaddw },
				{ "Phminposuw", Mnemonic.Phminposuw },
				{ "Phsubd", Mnemonic.Phsubd },
				{ "Phsubsw", Mnemonic.Phsubsw },
				{ "Phsubw", Mnemonic.Phsubw },
				{ "Pi2fd", Mnemonic.Pi2fd },
				{ "Pi2fw", Mnemonic.Pi2fw },
				{ "Pinsrb", Mnemonic.Pinsrb },
				{ "Pinsrd", Mnemonic.Pinsrd },
				{ "Pinsrq", Mnemonic.Pinsrq },
				{ "Pinsrw", Mnemonic.Pinsrw },
				{ "Pmaddubsw", Mnemonic.Pmaddubsw },
				{ "Pmaddwd", Mnemonic.Pmaddwd },
				{ "Pmaxsb", Mnemonic.Pmaxsb },
				{ "Pmaxsd", Mnemonic.Pmaxsd },
				{ "Pmaxsw", Mnemonic.Pmaxsw },
				{ "Pmaxub", Mnemonic.Pmaxub },
				{ "Pmaxud", Mnemonic.Pmaxud },
				{ "Pmaxuw", Mnemonic.Pmaxuw },
				{ "Pminsb", Mnemonic.Pminsb },
				{ "Pminsd", Mnemonic.Pminsd },
				{ "Pminsw", Mnemonic.Pminsw },
				{ "Pminub", Mnemonic.Pminub },
				{ "Pminud", Mnemonic.Pminud },
				{ "Pminuw", Mnemonic.Pminuw },
				{ "Pmovmskb", Mnemonic.Pmovmskb },
				{ "Pmovsxbd", Mnemonic.Pmovsxbd },
				{ "Pmovsxbq", Mnemonic.Pmovsxbq },
				{ "Pmovsxbw", Mnemonic.Pmovsxbw },
				{ "Pmovsxdq", Mnemonic.Pmovsxdq },
				{ "Pmovsxwd", Mnemonic.Pmovsxwd },
				{ "Pmovsxwq", Mnemonic.Pmovsxwq },
				{ "Pmovzxbd", Mnemonic.Pmovzxbd },
				{ "Pmovzxbq", Mnemonic.Pmovzxbq },
				{ "Pmovzxbw", Mnemonic.Pmovzxbw },
				{ "Pmovzxdq", Mnemonic.Pmovzxdq },
				{ "Pmovzxwd", Mnemonic.Pmovzxwd },
				{ "Pmovzxwq", Mnemonic.Pmovzxwq },
				{ "Pmuldq", Mnemonic.Pmuldq },
				{ "Pmulhrsw", Mnemonic.Pmulhrsw },
				{ "Pmulhrw", Mnemonic.Pmulhrw },
				{ "Pmulhuw", Mnemonic.Pmulhuw },
				{ "Pmulhw", Mnemonic.Pmulhw },
				{ "Pmulld", Mnemonic.Pmulld },
				{ "Pmullw", Mnemonic.Pmullw },
				{ "Pmuludq", Mnemonic.Pmuludq },
				{ "Pop", Mnemonic.Pop },
				{ "Popa", Mnemonic.Popa },
				{ "Popcnt", Mnemonic.Popcnt },
				{ "Popf", Mnemonic.Popf },
				{ "Por", Mnemonic.Por },
				{ "Prefetch", Mnemonic.Prefetch },
				{ "Prefetchnta", Mnemonic.Prefetchnta },
				{ "Prefetcht0", Mnemonic.Prefetcht0 },
				{ "Prefetcht1", Mnemonic.Prefetcht1 },
				{ "Prefetcht2", Mnemonic.Prefetcht2 },
				{ "Prefetchw", Mnemonic.Prefetchw },
				{ "Prefetchwt1", Mnemonic.Prefetchwt1 },
				{ "Psadbw", Mnemonic.Psadbw },
				{ "Pshufb", Mnemonic.Pshufb },
				{ "Pshufd", Mnemonic.Pshufd },
				{ "Pshufhw", Mnemonic.Pshufhw },
				{ "Pshuflw", Mnemonic.Pshuflw },
				{ "Pshufw", Mnemonic.Pshufw },
				{ "Psignb", Mnemonic.Psignb },
				{ "Psignd", Mnemonic.Psignd },
				{ "Psignw", Mnemonic.Psignw },
				{ "Pslld", Mnemonic.Pslld },
				{ "Pslldq", Mnemonic.Pslldq },
				{ "Psllq", Mnemonic.Psllq },
				{ "Psllw", Mnemonic.Psllw },
				{ "Psrad", Mnemonic.Psrad },
				{ "Psraw", Mnemonic.Psraw },
				{ "Psrld", Mnemonic.Psrld },
				{ "Psrldq", Mnemonic.Psrldq },
				{ "Psrlq", Mnemonic.Psrlq },
				{ "Psrlw", Mnemonic.Psrlw },
				{ "Psubb", Mnemonic.Psubb },
				{ "Psubd", Mnemonic.Psubd },
				{ "Psubq", Mnemonic.Psubq },
				{ "Psubsb", Mnemonic.Psubsb },
				{ "Psubsw", Mnemonic.Psubsw },
				{ "Psubusb", Mnemonic.Psubusb },
				{ "Psubusw", Mnemonic.Psubusw },
				{ "Psubw", Mnemonic.Psubw },
				{ "Pswapd", Mnemonic.Pswapd },
				{ "Ptest", Mnemonic.Ptest },
				{ "Ptwrite", Mnemonic.Ptwrite },
				{ "Punpckhbw", Mnemonic.Punpckhbw },
				{ "Punpckhdq", Mnemonic.Punpckhdq },
				{ "Punpckhqdq", Mnemonic.Punpckhqdq },
				{ "Punpckhwd", Mnemonic.Punpckhwd },
				{ "Punpcklbw", Mnemonic.Punpcklbw },
				{ "Punpckldq", Mnemonic.Punpckldq },
				{ "Punpcklqdq", Mnemonic.Punpcklqdq },
				{ "Punpcklwd", Mnemonic.Punpcklwd },
				{ "Push", Mnemonic.Push },
				{ "Pusha", Mnemonic.Pusha },
				{ "Pushf", Mnemonic.Pushf },
				{ "Pxor", Mnemonic.Pxor },
				{ "Rcl", Mnemonic.Rcl },
				{ "Rcpps", Mnemonic.Rcpps },
				{ "Rcpss", Mnemonic.Rcpss },
				{ "Rcr", Mnemonic.Rcr },
				{ "Rdfsbase", Mnemonic.Rdfsbase },
				{ "Rdgsbase", Mnemonic.Rdgsbase },
				{ "Rdmsr", Mnemonic.Rdmsr },
				{ "Rdpid", Mnemonic.Rdpid },
				{ "Rdpkru", Mnemonic.Rdpkru },
				{ "Rdpmc", Mnemonic.Rdpmc },
				{ "Rdpru", Mnemonic.Rdpru },
				{ "Rdrand", Mnemonic.Rdrand },
				{ "Rdseed", Mnemonic.Rdseed },
				{ "Rdsspd", Mnemonic.Rdsspd },
				{ "Rdsspq", Mnemonic.Rdsspq },
				{ "Rdtsc", Mnemonic.Rdtsc },
				{ "Rdtscp", Mnemonic.Rdtscp },
				{ "Reservednop", Mnemonic.Reservednop },
				{ "Ret", Mnemonic.Ret },
				{ "Retf", Mnemonic.Retf },
				{ "Rol", Mnemonic.Rol },
				{ "Ror", Mnemonic.Ror },
				{ "Rorx", Mnemonic.Rorx },
				{ "Roundpd", Mnemonic.Roundpd },
				{ "Roundps", Mnemonic.Roundps },
				{ "Roundsd", Mnemonic.Roundsd },
				{ "Roundss", Mnemonic.Roundss },
				{ "Rsm", Mnemonic.Rsm },
				{ "Rsqrtps", Mnemonic.Rsqrtps },
				{ "Rsqrtss", Mnemonic.Rsqrtss },
				{ "Rstorssp", Mnemonic.Rstorssp },
				{ "Sahf", Mnemonic.Sahf },
				{ "Sal", Mnemonic.Sal },
				{ "Salc", Mnemonic.Salc },
				{ "Sar", Mnemonic.Sar },
				{ "Sarx", Mnemonic.Sarx },
				{ "Saveprevssp", Mnemonic.Saveprevssp },
				{ "Sbb", Mnemonic.Sbb },
				{ "Scasb", Mnemonic.Scasb },
				{ "Scasd", Mnemonic.Scasd },
				{ "Scasq", Mnemonic.Scasq },
				{ "Scasw", Mnemonic.Scasw },
				{ "Seta", Mnemonic.Seta },
				{ "Setae", Mnemonic.Setae },
				{ "Setb", Mnemonic.Setb },
				{ "Setbe", Mnemonic.Setbe },
				{ "Sete", Mnemonic.Sete },
				{ "Setg", Mnemonic.Setg },
				{ "Setge", Mnemonic.Setge },
				{ "Setl", Mnemonic.Setl },
				{ "Setle", Mnemonic.Setle },
				{ "Setne", Mnemonic.Setne },
				{ "Setno", Mnemonic.Setno },
				{ "Setnp", Mnemonic.Setnp },
				{ "Setns", Mnemonic.Setns },
				{ "Seto", Mnemonic.Seto },
				{ "Setp", Mnemonic.Setp },
				{ "Sets", Mnemonic.Sets },
				{ "Setssbsy", Mnemonic.Setssbsy },
				{ "Sfence", Mnemonic.Sfence },
				{ "Sgdt", Mnemonic.Sgdt },
				{ "Sha1msg1", Mnemonic.Sha1msg1 },
				{ "Sha1msg2", Mnemonic.Sha1msg2 },
				{ "Sha1nexte", Mnemonic.Sha1nexte },
				{ "Sha1rnds4", Mnemonic.Sha1rnds4 },
				{ "Sha256msg1", Mnemonic.Sha256msg1 },
				{ "Sha256msg2", Mnemonic.Sha256msg2 },
				{ "Sha256rnds2", Mnemonic.Sha256rnds2 },
				{ "Shl", Mnemonic.Shl },
				{ "Shld", Mnemonic.Shld },
				{ "Shlx", Mnemonic.Shlx },
				{ "Shr", Mnemonic.Shr },
				{ "Shrd", Mnemonic.Shrd },
				{ "Shrx", Mnemonic.Shrx },
				{ "Shufpd", Mnemonic.Shufpd },
				{ "Shufps", Mnemonic.Shufps },
				{ "Sidt", Mnemonic.Sidt },
				{ "Skinit", Mnemonic.Skinit },
				{ "Sldt", Mnemonic.Sldt },
				{ "Slwpcb", Mnemonic.Slwpcb },
				{ "Smsw", Mnemonic.Smsw },
				{ "Sqrtpd", Mnemonic.Sqrtpd },
				{ "Sqrtps", Mnemonic.Sqrtps },
				{ "Sqrtsd", Mnemonic.Sqrtsd },
				{ "Sqrtss", Mnemonic.Sqrtss },
				{ "Stac", Mnemonic.Stac },
				{ "Stc", Mnemonic.Stc },
				{ "Std", Mnemonic.Std },
				{ "Stgi", Mnemonic.Stgi },
				{ "Sti", Mnemonic.Sti },
				{ "Stmxcsr", Mnemonic.Stmxcsr },
				{ "Stosb", Mnemonic.Stosb },
				{ "Stosd", Mnemonic.Stosd },
				{ "Stosq", Mnemonic.Stosq },
				{ "Stosw", Mnemonic.Stosw },
				{ "Str", Mnemonic.Str },
				{ "Sub", Mnemonic.Sub },
				{ "Subpd", Mnemonic.Subpd },
				{ "Subps", Mnemonic.Subps },
				{ "Subsd", Mnemonic.Subsd },
				{ "Subss", Mnemonic.Subss },
				{ "Swapgs", Mnemonic.Swapgs },
				{ "Syscall", Mnemonic.Syscall },
				{ "Sysenter", Mnemonic.Sysenter },
				{ "Sysexit", Mnemonic.Sysexit },
				{ "Sysret", Mnemonic.Sysret },
				{ "T1mskc", Mnemonic.T1mskc },
				{ "Test", Mnemonic.Test },
				{ "Tpause", Mnemonic.Tpause },
				{ "Tzcnt", Mnemonic.Tzcnt },
				{ "Tzmsk", Mnemonic.Tzmsk },
				{ "Ucomisd", Mnemonic.Ucomisd },
				{ "Ucomiss", Mnemonic.Ucomiss },
				{ "Ud0", Mnemonic.Ud0 },
				{ "Ud1", Mnemonic.Ud1 },
				{ "Ud2", Mnemonic.Ud2 },
				{ "Umonitor", Mnemonic.Umonitor },
				{ "Umov", Mnemonic.Umov },
				{ "Umwait", Mnemonic.Umwait },
				{ "Unpckhpd", Mnemonic.Unpckhpd },
				{ "Unpckhps", Mnemonic.Unpckhps },
				{ "Unpcklpd", Mnemonic.Unpcklpd },
				{ "Unpcklps", Mnemonic.Unpcklps },
				{ "V4fmaddps", Mnemonic.V4fmaddps },
				{ "V4fmaddss", Mnemonic.V4fmaddss },
				{ "V4fnmaddps", Mnemonic.V4fnmaddps },
				{ "V4fnmaddss", Mnemonic.V4fnmaddss },
				{ "Vaddpd", Mnemonic.Vaddpd },
				{ "Vaddps", Mnemonic.Vaddps },
				{ "Vaddsd", Mnemonic.Vaddsd },
				{ "Vaddss", Mnemonic.Vaddss },
				{ "Vaddsubpd", Mnemonic.Vaddsubpd },
				{ "Vaddsubps", Mnemonic.Vaddsubps },
				{ "Vaesdec", Mnemonic.Vaesdec },
				{ "Vaesdeclast", Mnemonic.Vaesdeclast },
				{ "Vaesenc", Mnemonic.Vaesenc },
				{ "Vaesenclast", Mnemonic.Vaesenclast },
				{ "Vaesimc", Mnemonic.Vaesimc },
				{ "Vaeskeygenassist", Mnemonic.Vaeskeygenassist },
				{ "Valignd", Mnemonic.Valignd },
				{ "Valignq", Mnemonic.Valignq },
				{ "Vandnpd", Mnemonic.Vandnpd },
				{ "Vandnps", Mnemonic.Vandnps },
				{ "Vandpd", Mnemonic.Vandpd },
				{ "Vandps", Mnemonic.Vandps },
				{ "Vblendmpd", Mnemonic.Vblendmpd },
				{ "Vblendmps", Mnemonic.Vblendmps },
				{ "Vblendpd", Mnemonic.Vblendpd },
				{ "Vblendps", Mnemonic.Vblendps },
				{ "Vblendvpd", Mnemonic.Vblendvpd },
				{ "Vblendvps", Mnemonic.Vblendvps },
				{ "Vbroadcastf128", Mnemonic.Vbroadcastf128 },
				{ "Vbroadcastf32x2", Mnemonic.Vbroadcastf32x2 },
				{ "Vbroadcastf32x4", Mnemonic.Vbroadcastf32x4 },
				{ "Vbroadcastf32x8", Mnemonic.Vbroadcastf32x8 },
				{ "Vbroadcastf64x2", Mnemonic.Vbroadcastf64x2 },
				{ "Vbroadcastf64x4", Mnemonic.Vbroadcastf64x4 },
				{ "Vbroadcasti128", Mnemonic.Vbroadcasti128 },
				{ "Vbroadcasti32x2", Mnemonic.Vbroadcasti32x2 },
				{ "Vbroadcasti32x4", Mnemonic.Vbroadcasti32x4 },
				{ "Vbroadcasti32x8", Mnemonic.Vbroadcasti32x8 },
				{ "Vbroadcasti64x2", Mnemonic.Vbroadcasti64x2 },
				{ "Vbroadcasti64x4", Mnemonic.Vbroadcasti64x4 },
				{ "Vbroadcastsd", Mnemonic.Vbroadcastsd },
				{ "Vbroadcastss", Mnemonic.Vbroadcastss },
				{ "Vcmppd", Mnemonic.Vcmppd },
				{ "Vcmpps", Mnemonic.Vcmpps },
				{ "Vcmpsd", Mnemonic.Vcmpsd },
				{ "Vcmpss", Mnemonic.Vcmpss },
				{ "Vcomisd", Mnemonic.Vcomisd },
				{ "Vcomiss", Mnemonic.Vcomiss },
				{ "Vcompresspd", Mnemonic.Vcompresspd },
				{ "Vcompressps", Mnemonic.Vcompressps },
				{ "Vcvtdq2pd", Mnemonic.Vcvtdq2pd },
				{ "Vcvtdq2ps", Mnemonic.Vcvtdq2ps },
				{ "Vcvtne2ps2bf16", Mnemonic.Vcvtne2ps2bf16 },
				{ "Vcvtneps2bf16", Mnemonic.Vcvtneps2bf16 },
				{ "Vcvtpd2dq", Mnemonic.Vcvtpd2dq },
				{ "Vcvtpd2ps", Mnemonic.Vcvtpd2ps },
				{ "Vcvtpd2qq", Mnemonic.Vcvtpd2qq },
				{ "Vcvtpd2udq", Mnemonic.Vcvtpd2udq },
				{ "Vcvtpd2uqq", Mnemonic.Vcvtpd2uqq },
				{ "Vcvtph2ps", Mnemonic.Vcvtph2ps },
				{ "Vcvtps2dq", Mnemonic.Vcvtps2dq },
				{ "Vcvtps2pd", Mnemonic.Vcvtps2pd },
				{ "Vcvtps2ph", Mnemonic.Vcvtps2ph },
				{ "Vcvtps2qq", Mnemonic.Vcvtps2qq },
				{ "Vcvtps2udq", Mnemonic.Vcvtps2udq },
				{ "Vcvtps2uqq", Mnemonic.Vcvtps2uqq },
				{ "Vcvtqq2pd", Mnemonic.Vcvtqq2pd },
				{ "Vcvtqq2ps", Mnemonic.Vcvtqq2ps },
				{ "Vcvtsd2si", Mnemonic.Vcvtsd2si },
				{ "Vcvtsd2ss", Mnemonic.Vcvtsd2ss },
				{ "Vcvtsd2usi", Mnemonic.Vcvtsd2usi },
				{ "Vcvtsi2sd", Mnemonic.Vcvtsi2sd },
				{ "Vcvtsi2ss", Mnemonic.Vcvtsi2ss },
				{ "Vcvtss2sd", Mnemonic.Vcvtss2sd },
				{ "Vcvtss2si", Mnemonic.Vcvtss2si },
				{ "Vcvtss2usi", Mnemonic.Vcvtss2usi },
				{ "Vcvttpd2dq", Mnemonic.Vcvttpd2dq },
				{ "Vcvttpd2qq", Mnemonic.Vcvttpd2qq },
				{ "Vcvttpd2udq", Mnemonic.Vcvttpd2udq },
				{ "Vcvttpd2uqq", Mnemonic.Vcvttpd2uqq },
				{ "Vcvttps2dq", Mnemonic.Vcvttps2dq },
				{ "Vcvttps2qq", Mnemonic.Vcvttps2qq },
				{ "Vcvttps2udq", Mnemonic.Vcvttps2udq },
				{ "Vcvttps2uqq", Mnemonic.Vcvttps2uqq },
				{ "Vcvttsd2si", Mnemonic.Vcvttsd2si },
				{ "Vcvttsd2usi", Mnemonic.Vcvttsd2usi },
				{ "Vcvttss2si", Mnemonic.Vcvttss2si },
				{ "Vcvttss2usi", Mnemonic.Vcvttss2usi },
				{ "Vcvtudq2pd", Mnemonic.Vcvtudq2pd },
				{ "Vcvtudq2ps", Mnemonic.Vcvtudq2ps },
				{ "Vcvtuqq2pd", Mnemonic.Vcvtuqq2pd },
				{ "Vcvtuqq2ps", Mnemonic.Vcvtuqq2ps },
				{ "Vcvtusi2sd", Mnemonic.Vcvtusi2sd },
				{ "Vcvtusi2ss", Mnemonic.Vcvtusi2ss },
				{ "Vdbpsadbw", Mnemonic.Vdbpsadbw },
				{ "Vdivpd", Mnemonic.Vdivpd },
				{ "Vdivps", Mnemonic.Vdivps },
				{ "Vdivsd", Mnemonic.Vdivsd },
				{ "Vdivss", Mnemonic.Vdivss },
				{ "Vdpbf16ps", Mnemonic.Vdpbf16ps },
				{ "Vdppd", Mnemonic.Vdppd },
				{ "Vdpps", Mnemonic.Vdpps },
				{ "Verr", Mnemonic.Verr },
				{ "Verw", Mnemonic.Verw },
				{ "Vexp2pd", Mnemonic.Vexp2pd },
				{ "Vexp2ps", Mnemonic.Vexp2ps },
				{ "Vexpandpd", Mnemonic.Vexpandpd },
				{ "Vexpandps", Mnemonic.Vexpandps },
				{ "Vextractf128", Mnemonic.Vextractf128 },
				{ "Vextractf32x4", Mnemonic.Vextractf32x4 },
				{ "Vextractf32x8", Mnemonic.Vextractf32x8 },
				{ "Vextractf64x2", Mnemonic.Vextractf64x2 },
				{ "Vextractf64x4", Mnemonic.Vextractf64x4 },
				{ "Vextracti128", Mnemonic.Vextracti128 },
				{ "Vextracti32x4", Mnemonic.Vextracti32x4 },
				{ "Vextracti32x8", Mnemonic.Vextracti32x8 },
				{ "Vextracti64x2", Mnemonic.Vextracti64x2 },
				{ "Vextracti64x4", Mnemonic.Vextracti64x4 },
				{ "Vextractps", Mnemonic.Vextractps },
				{ "Vfixupimmpd", Mnemonic.Vfixupimmpd },
				{ "Vfixupimmps", Mnemonic.Vfixupimmps },
				{ "Vfixupimmsd", Mnemonic.Vfixupimmsd },
				{ "Vfixupimmss", Mnemonic.Vfixupimmss },
				{ "Vfmadd132pd", Mnemonic.Vfmadd132pd },
				{ "Vfmadd132ps", Mnemonic.Vfmadd132ps },
				{ "Vfmadd132sd", Mnemonic.Vfmadd132sd },
				{ "Vfmadd132ss", Mnemonic.Vfmadd132ss },
				{ "Vfmadd213pd", Mnemonic.Vfmadd213pd },
				{ "Vfmadd213ps", Mnemonic.Vfmadd213ps },
				{ "Vfmadd213sd", Mnemonic.Vfmadd213sd },
				{ "Vfmadd213ss", Mnemonic.Vfmadd213ss },
				{ "Vfmadd231pd", Mnemonic.Vfmadd231pd },
				{ "Vfmadd231ps", Mnemonic.Vfmadd231ps },
				{ "Vfmadd231sd", Mnemonic.Vfmadd231sd },
				{ "Vfmadd231ss", Mnemonic.Vfmadd231ss },
				{ "Vfmaddpd", Mnemonic.Vfmaddpd },
				{ "Vfmaddps", Mnemonic.Vfmaddps },
				{ "Vfmaddsd", Mnemonic.Vfmaddsd },
				{ "Vfmaddss", Mnemonic.Vfmaddss },
				{ "Vfmaddsub132pd", Mnemonic.Vfmaddsub132pd },
				{ "Vfmaddsub132ps", Mnemonic.Vfmaddsub132ps },
				{ "Vfmaddsub213pd", Mnemonic.Vfmaddsub213pd },
				{ "Vfmaddsub213ps", Mnemonic.Vfmaddsub213ps },
				{ "Vfmaddsub231pd", Mnemonic.Vfmaddsub231pd },
				{ "Vfmaddsub231ps", Mnemonic.Vfmaddsub231ps },
				{ "Vfmaddsubpd", Mnemonic.Vfmaddsubpd },
				{ "Vfmaddsubps", Mnemonic.Vfmaddsubps },
				{ "Vfmsub132pd", Mnemonic.Vfmsub132pd },
				{ "Vfmsub132ps", Mnemonic.Vfmsub132ps },
				{ "Vfmsub132sd", Mnemonic.Vfmsub132sd },
				{ "Vfmsub132ss", Mnemonic.Vfmsub132ss },
				{ "Vfmsub213pd", Mnemonic.Vfmsub213pd },
				{ "Vfmsub213ps", Mnemonic.Vfmsub213ps },
				{ "Vfmsub213sd", Mnemonic.Vfmsub213sd },
				{ "Vfmsub213ss", Mnemonic.Vfmsub213ss },
				{ "Vfmsub231pd", Mnemonic.Vfmsub231pd },
				{ "Vfmsub231ps", Mnemonic.Vfmsub231ps },
				{ "Vfmsub231sd", Mnemonic.Vfmsub231sd },
				{ "Vfmsub231ss", Mnemonic.Vfmsub231ss },
				{ "Vfmsubadd132pd", Mnemonic.Vfmsubadd132pd },
				{ "Vfmsubadd132ps", Mnemonic.Vfmsubadd132ps },
				{ "Vfmsubadd213pd", Mnemonic.Vfmsubadd213pd },
				{ "Vfmsubadd213ps", Mnemonic.Vfmsubadd213ps },
				{ "Vfmsubadd231pd", Mnemonic.Vfmsubadd231pd },
				{ "Vfmsubadd231ps", Mnemonic.Vfmsubadd231ps },
				{ "Vfmsubaddpd", Mnemonic.Vfmsubaddpd },
				{ "Vfmsubaddps", Mnemonic.Vfmsubaddps },
				{ "Vfmsubpd", Mnemonic.Vfmsubpd },
				{ "Vfmsubps", Mnemonic.Vfmsubps },
				{ "Vfmsubsd", Mnemonic.Vfmsubsd },
				{ "Vfmsubss", Mnemonic.Vfmsubss },
				{ "Vfnmadd132pd", Mnemonic.Vfnmadd132pd },
				{ "Vfnmadd132ps", Mnemonic.Vfnmadd132ps },
				{ "Vfnmadd132sd", Mnemonic.Vfnmadd132sd },
				{ "Vfnmadd132ss", Mnemonic.Vfnmadd132ss },
				{ "Vfnmadd213pd", Mnemonic.Vfnmadd213pd },
				{ "Vfnmadd213ps", Mnemonic.Vfnmadd213ps },
				{ "Vfnmadd213sd", Mnemonic.Vfnmadd213sd },
				{ "Vfnmadd213ss", Mnemonic.Vfnmadd213ss },
				{ "Vfnmadd231pd", Mnemonic.Vfnmadd231pd },
				{ "Vfnmadd231ps", Mnemonic.Vfnmadd231ps },
				{ "Vfnmadd231sd", Mnemonic.Vfnmadd231sd },
				{ "Vfnmadd231ss", Mnemonic.Vfnmadd231ss },
				{ "Vfnmaddpd", Mnemonic.Vfnmaddpd },
				{ "Vfnmaddps", Mnemonic.Vfnmaddps },
				{ "Vfnmaddsd", Mnemonic.Vfnmaddsd },
				{ "Vfnmaddss", Mnemonic.Vfnmaddss },
				{ "Vfnmsub132pd", Mnemonic.Vfnmsub132pd },
				{ "Vfnmsub132ps", Mnemonic.Vfnmsub132ps },
				{ "Vfnmsub132sd", Mnemonic.Vfnmsub132sd },
				{ "Vfnmsub132ss", Mnemonic.Vfnmsub132ss },
				{ "Vfnmsub213pd", Mnemonic.Vfnmsub213pd },
				{ "Vfnmsub213ps", Mnemonic.Vfnmsub213ps },
				{ "Vfnmsub213sd", Mnemonic.Vfnmsub213sd },
				{ "Vfnmsub213ss", Mnemonic.Vfnmsub213ss },
				{ "Vfnmsub231pd", Mnemonic.Vfnmsub231pd },
				{ "Vfnmsub231ps", Mnemonic.Vfnmsub231ps },
				{ "Vfnmsub231sd", Mnemonic.Vfnmsub231sd },
				{ "Vfnmsub231ss", Mnemonic.Vfnmsub231ss },
				{ "Vfnmsubpd", Mnemonic.Vfnmsubpd },
				{ "Vfnmsubps", Mnemonic.Vfnmsubps },
				{ "Vfnmsubsd", Mnemonic.Vfnmsubsd },
				{ "Vfnmsubss", Mnemonic.Vfnmsubss },
				{ "Vfpclasspd", Mnemonic.Vfpclasspd },
				{ "Vfpclassps", Mnemonic.Vfpclassps },
				{ "Vfpclasssd", Mnemonic.Vfpclasssd },
				{ "Vfpclassss", Mnemonic.Vfpclassss },
				{ "Vfrczpd", Mnemonic.Vfrczpd },
				{ "Vfrczps", Mnemonic.Vfrczps },
				{ "Vfrczsd", Mnemonic.Vfrczsd },
				{ "Vfrczss", Mnemonic.Vfrczss },
				{ "Vgatherdpd", Mnemonic.Vgatherdpd },
				{ "Vgatherdps", Mnemonic.Vgatherdps },
				{ "Vgatherpf0dpd", Mnemonic.Vgatherpf0dpd },
				{ "Vgatherpf0dps", Mnemonic.Vgatherpf0dps },
				{ "Vgatherpf0qpd", Mnemonic.Vgatherpf0qpd },
				{ "Vgatherpf0qps", Mnemonic.Vgatherpf0qps },
				{ "Vgatherpf1dpd", Mnemonic.Vgatherpf1dpd },
				{ "Vgatherpf1dps", Mnemonic.Vgatherpf1dps },
				{ "Vgatherpf1qpd", Mnemonic.Vgatherpf1qpd },
				{ "Vgatherpf1qps", Mnemonic.Vgatherpf1qps },
				{ "Vgatherqpd", Mnemonic.Vgatherqpd },
				{ "Vgatherqps", Mnemonic.Vgatherqps },
				{ "Vgetexppd", Mnemonic.Vgetexppd },
				{ "Vgetexpps", Mnemonic.Vgetexpps },
				{ "Vgetexpsd", Mnemonic.Vgetexpsd },
				{ "Vgetexpss", Mnemonic.Vgetexpss },
				{ "Vgetmantpd", Mnemonic.Vgetmantpd },
				{ "Vgetmantps", Mnemonic.Vgetmantps },
				{ "Vgetmantsd", Mnemonic.Vgetmantsd },
				{ "Vgetmantss", Mnemonic.Vgetmantss },
				{ "Vgf2p8affineinvqb", Mnemonic.Vgf2p8affineinvqb },
				{ "Vgf2p8affineqb", Mnemonic.Vgf2p8affineqb },
				{ "Vgf2p8mulb", Mnemonic.Vgf2p8mulb },
				{ "Vhaddpd", Mnemonic.Vhaddpd },
				{ "Vhaddps", Mnemonic.Vhaddps },
				{ "Vhsubpd", Mnemonic.Vhsubpd },
				{ "Vhsubps", Mnemonic.Vhsubps },
				{ "Vinsertf128", Mnemonic.Vinsertf128 },
				{ "Vinsertf32x4", Mnemonic.Vinsertf32x4 },
				{ "Vinsertf32x8", Mnemonic.Vinsertf32x8 },
				{ "Vinsertf64x2", Mnemonic.Vinsertf64x2 },
				{ "Vinsertf64x4", Mnemonic.Vinsertf64x4 },
				{ "Vinserti128", Mnemonic.Vinserti128 },
				{ "Vinserti32x4", Mnemonic.Vinserti32x4 },
				{ "Vinserti32x8", Mnemonic.Vinserti32x8 },
				{ "Vinserti64x2", Mnemonic.Vinserti64x2 },
				{ "Vinserti64x4", Mnemonic.Vinserti64x4 },
				{ "Vinsertps", Mnemonic.Vinsertps },
				{ "Vlddqu", Mnemonic.Vlddqu },
				{ "Vldmxcsr", Mnemonic.Vldmxcsr },
				{ "Vmaskmovdqu", Mnemonic.Vmaskmovdqu },
				{ "Vmaskmovpd", Mnemonic.Vmaskmovpd },
				{ "Vmaskmovps", Mnemonic.Vmaskmovps },
				{ "Vmaxpd", Mnemonic.Vmaxpd },
				{ "Vmaxps", Mnemonic.Vmaxps },
				{ "Vmaxsd", Mnemonic.Vmaxsd },
				{ "Vmaxss", Mnemonic.Vmaxss },
				{ "Vmcall", Mnemonic.Vmcall },
				{ "Vmclear", Mnemonic.Vmclear },
				{ "Vmfunc", Mnemonic.Vmfunc },
				{ "Vminpd", Mnemonic.Vminpd },
				{ "Vminps", Mnemonic.Vminps },
				{ "Vminsd", Mnemonic.Vminsd },
				{ "Vminss", Mnemonic.Vminss },
				{ "Vmlaunch", Mnemonic.Vmlaunch },
				{ "Vmload", Mnemonic.Vmload },
				{ "Vmmcall", Mnemonic.Vmmcall },
				{ "Vmovapd", Mnemonic.Vmovapd },
				{ "Vmovaps", Mnemonic.Vmovaps },
				{ "Vmovd", Mnemonic.Vmovd },
				{ "Vmovddup", Mnemonic.Vmovddup },
				{ "Vmovdqa", Mnemonic.Vmovdqa },
				{ "Vmovdqa32", Mnemonic.Vmovdqa32 },
				{ "Vmovdqa64", Mnemonic.Vmovdqa64 },
				{ "Vmovdqu", Mnemonic.Vmovdqu },
				{ "Vmovdqu16", Mnemonic.Vmovdqu16 },
				{ "Vmovdqu32", Mnemonic.Vmovdqu32 },
				{ "Vmovdqu64", Mnemonic.Vmovdqu64 },
				{ "Vmovdqu8", Mnemonic.Vmovdqu8 },
				{ "Vmovhlps", Mnemonic.Vmovhlps },
				{ "Vmovhpd", Mnemonic.Vmovhpd },
				{ "Vmovhps", Mnemonic.Vmovhps },
				{ "Vmovlhps", Mnemonic.Vmovlhps },
				{ "Vmovlpd", Mnemonic.Vmovlpd },
				{ "Vmovlps", Mnemonic.Vmovlps },
				{ "Vmovmskpd", Mnemonic.Vmovmskpd },
				{ "Vmovmskps", Mnemonic.Vmovmskps },
				{ "Vmovntdq", Mnemonic.Vmovntdq },
				{ "Vmovntdqa", Mnemonic.Vmovntdqa },
				{ "Vmovntpd", Mnemonic.Vmovntpd },
				{ "Vmovntps", Mnemonic.Vmovntps },
				{ "Vmovq", Mnemonic.Vmovq },
				{ "Vmovsd", Mnemonic.Vmovsd },
				{ "Vmovshdup", Mnemonic.Vmovshdup },
				{ "Vmovsldup", Mnemonic.Vmovsldup },
				{ "Vmovss", Mnemonic.Vmovss },
				{ "Vmovupd", Mnemonic.Vmovupd },
				{ "Vmovups", Mnemonic.Vmovups },
				{ "Vmpsadbw", Mnemonic.Vmpsadbw },
				{ "Vmptrld", Mnemonic.Vmptrld },
				{ "Vmptrst", Mnemonic.Vmptrst },
				{ "Vmread", Mnemonic.Vmread },
				{ "Vmresume", Mnemonic.Vmresume },
				{ "Vmrun", Mnemonic.Vmrun },
				{ "Vmsave", Mnemonic.Vmsave },
				{ "Vmulpd", Mnemonic.Vmulpd },
				{ "Vmulps", Mnemonic.Vmulps },
				{ "Vmulsd", Mnemonic.Vmulsd },
				{ "Vmulss", Mnemonic.Vmulss },
				{ "Vmwrite", Mnemonic.Vmwrite },
				{ "Vmxoff", Mnemonic.Vmxoff },
				{ "Vmxon", Mnemonic.Vmxon },
				{ "Vorpd", Mnemonic.Vorpd },
				{ "Vorps", Mnemonic.Vorps },
				{ "Vp2intersectd", Mnemonic.Vp2intersectd },
				{ "Vp2intersectq", Mnemonic.Vp2intersectq },
				{ "Vp4dpwssd", Mnemonic.Vp4dpwssd },
				{ "Vp4dpwssds", Mnemonic.Vp4dpwssds },
				{ "Vpabsb", Mnemonic.Vpabsb },
				{ "Vpabsd", Mnemonic.Vpabsd },
				{ "Vpabsq", Mnemonic.Vpabsq },
				{ "Vpabsw", Mnemonic.Vpabsw },
				{ "Vpackssdw", Mnemonic.Vpackssdw },
				{ "Vpacksswb", Mnemonic.Vpacksswb },
				{ "Vpackusdw", Mnemonic.Vpackusdw },
				{ "Vpackuswb", Mnemonic.Vpackuswb },
				{ "Vpaddb", Mnemonic.Vpaddb },
				{ "Vpaddd", Mnemonic.Vpaddd },
				{ "Vpaddq", Mnemonic.Vpaddq },
				{ "Vpaddsb", Mnemonic.Vpaddsb },
				{ "Vpaddsw", Mnemonic.Vpaddsw },
				{ "Vpaddusb", Mnemonic.Vpaddusb },
				{ "Vpaddusw", Mnemonic.Vpaddusw },
				{ "Vpaddw", Mnemonic.Vpaddw },
				{ "Vpalignr", Mnemonic.Vpalignr },
				{ "Vpand", Mnemonic.Vpand },
				{ "Vpandd", Mnemonic.Vpandd },
				{ "Vpandn", Mnemonic.Vpandn },
				{ "Vpandnd", Mnemonic.Vpandnd },
				{ "Vpandnq", Mnemonic.Vpandnq },
				{ "Vpandq", Mnemonic.Vpandq },
				{ "Vpavgb", Mnemonic.Vpavgb },
				{ "Vpavgw", Mnemonic.Vpavgw },
				{ "Vpblendd", Mnemonic.Vpblendd },
				{ "Vpblendmb", Mnemonic.Vpblendmb },
				{ "Vpblendmd", Mnemonic.Vpblendmd },
				{ "Vpblendmq", Mnemonic.Vpblendmq },
				{ "Vpblendmw", Mnemonic.Vpblendmw },
				{ "Vpblendvb", Mnemonic.Vpblendvb },
				{ "Vpblendw", Mnemonic.Vpblendw },
				{ "Vpbroadcastb", Mnemonic.Vpbroadcastb },
				{ "Vpbroadcastd", Mnemonic.Vpbroadcastd },
				{ "Vpbroadcastmb2q", Mnemonic.Vpbroadcastmb2q },
				{ "Vpbroadcastmw2d", Mnemonic.Vpbroadcastmw2d },
				{ "Vpbroadcastq", Mnemonic.Vpbroadcastq },
				{ "Vpbroadcastw", Mnemonic.Vpbroadcastw },
				{ "Vpclmulqdq", Mnemonic.Vpclmulqdq },
				{ "Vpcmov", Mnemonic.Vpcmov },
				{ "Vpcmpb", Mnemonic.Vpcmpb },
				{ "Vpcmpd", Mnemonic.Vpcmpd },
				{ "Vpcmpeqb", Mnemonic.Vpcmpeqb },
				{ "Vpcmpeqd", Mnemonic.Vpcmpeqd },
				{ "Vpcmpeqq", Mnemonic.Vpcmpeqq },
				{ "Vpcmpeqw", Mnemonic.Vpcmpeqw },
				{ "Vpcmpestri", Mnemonic.Vpcmpestri },
				{ "Vpcmpestri64", Mnemonic.Vpcmpestri64 },
				{ "Vpcmpestrm", Mnemonic.Vpcmpestrm },
				{ "Vpcmpestrm64", Mnemonic.Vpcmpestrm64 },
				{ "Vpcmpgtb", Mnemonic.Vpcmpgtb },
				{ "Vpcmpgtd", Mnemonic.Vpcmpgtd },
				{ "Vpcmpgtq", Mnemonic.Vpcmpgtq },
				{ "Vpcmpgtw", Mnemonic.Vpcmpgtw },
				{ "Vpcmpistri", Mnemonic.Vpcmpistri },
				{ "Vpcmpistrm", Mnemonic.Vpcmpistrm },
				{ "Vpcmpq", Mnemonic.Vpcmpq },
				{ "Vpcmpub", Mnemonic.Vpcmpub },
				{ "Vpcmpud", Mnemonic.Vpcmpud },
				{ "Vpcmpuq", Mnemonic.Vpcmpuq },
				{ "Vpcmpuw", Mnemonic.Vpcmpuw },
				{ "Vpcmpw", Mnemonic.Vpcmpw },
				{ "Vpcomb", Mnemonic.Vpcomb },
				{ "Vpcomd", Mnemonic.Vpcomd },
				{ "Vpcompressb", Mnemonic.Vpcompressb },
				{ "Vpcompressd", Mnemonic.Vpcompressd },
				{ "Vpcompressq", Mnemonic.Vpcompressq },
				{ "Vpcompressw", Mnemonic.Vpcompressw },
				{ "Vpcomq", Mnemonic.Vpcomq },
				{ "Vpcomub", Mnemonic.Vpcomub },
				{ "Vpcomud", Mnemonic.Vpcomud },
				{ "Vpcomuq", Mnemonic.Vpcomuq },
				{ "Vpcomuw", Mnemonic.Vpcomuw },
				{ "Vpcomw", Mnemonic.Vpcomw },
				{ "Vpconflictd", Mnemonic.Vpconflictd },
				{ "Vpconflictq", Mnemonic.Vpconflictq },
				{ "Vpdpbusd", Mnemonic.Vpdpbusd },
				{ "Vpdpbusds", Mnemonic.Vpdpbusds },
				{ "Vpdpwssd", Mnemonic.Vpdpwssd },
				{ "Vpdpwssds", Mnemonic.Vpdpwssds },
				{ "Vperm2f128", Mnemonic.Vperm2f128 },
				{ "Vperm2i128", Mnemonic.Vperm2i128 },
				{ "Vpermb", Mnemonic.Vpermb },
				{ "Vpermd", Mnemonic.Vpermd },
				{ "Vpermi2b", Mnemonic.Vpermi2b },
				{ "Vpermi2d", Mnemonic.Vpermi2d },
				{ "Vpermi2pd", Mnemonic.Vpermi2pd },
				{ "Vpermi2ps", Mnemonic.Vpermi2ps },
				{ "Vpermi2q", Mnemonic.Vpermi2q },
				{ "Vpermi2w", Mnemonic.Vpermi2w },
				{ "Vpermil2pd", Mnemonic.Vpermil2pd },
				{ "Vpermil2ps", Mnemonic.Vpermil2ps },
				{ "Vpermilpd", Mnemonic.Vpermilpd },
				{ "Vpermilps", Mnemonic.Vpermilps },
				{ "Vpermpd", Mnemonic.Vpermpd },
				{ "Vpermps", Mnemonic.Vpermps },
				{ "Vpermq", Mnemonic.Vpermq },
				{ "Vpermt2b", Mnemonic.Vpermt2b },
				{ "Vpermt2d", Mnemonic.Vpermt2d },
				{ "Vpermt2pd", Mnemonic.Vpermt2pd },
				{ "Vpermt2ps", Mnemonic.Vpermt2ps },
				{ "Vpermt2q", Mnemonic.Vpermt2q },
				{ "Vpermt2w", Mnemonic.Vpermt2w },
				{ "Vpermw", Mnemonic.Vpermw },
				{ "Vpexpandb", Mnemonic.Vpexpandb },
				{ "Vpexpandd", Mnemonic.Vpexpandd },
				{ "Vpexpandq", Mnemonic.Vpexpandq },
				{ "Vpexpandw", Mnemonic.Vpexpandw },
				{ "Vpextrb", Mnemonic.Vpextrb },
				{ "Vpextrd", Mnemonic.Vpextrd },
				{ "Vpextrq", Mnemonic.Vpextrq },
				{ "Vpextrw", Mnemonic.Vpextrw },
				{ "Vpgatherdd", Mnemonic.Vpgatherdd },
				{ "Vpgatherdq", Mnemonic.Vpgatherdq },
				{ "Vpgatherqd", Mnemonic.Vpgatherqd },
				{ "Vpgatherqq", Mnemonic.Vpgatherqq },
				{ "Vphaddbd", Mnemonic.Vphaddbd },
				{ "Vphaddbq", Mnemonic.Vphaddbq },
				{ "Vphaddbw", Mnemonic.Vphaddbw },
				{ "Vphaddd", Mnemonic.Vphaddd },
				{ "Vphadddq", Mnemonic.Vphadddq },
				{ "Vphaddsw", Mnemonic.Vphaddsw },
				{ "Vphaddubd", Mnemonic.Vphaddubd },
				{ "Vphaddubq", Mnemonic.Vphaddubq },
				{ "Vphaddubw", Mnemonic.Vphaddubw },
				{ "Vphaddudq", Mnemonic.Vphaddudq },
				{ "Vphadduwd", Mnemonic.Vphadduwd },
				{ "Vphadduwq", Mnemonic.Vphadduwq },
				{ "Vphaddw", Mnemonic.Vphaddw },
				{ "Vphaddwd", Mnemonic.Vphaddwd },
				{ "Vphaddwq", Mnemonic.Vphaddwq },
				{ "Vphminposuw", Mnemonic.Vphminposuw },
				{ "Vphsubbw", Mnemonic.Vphsubbw },
				{ "Vphsubd", Mnemonic.Vphsubd },
				{ "Vphsubdq", Mnemonic.Vphsubdq },
				{ "Vphsubsw", Mnemonic.Vphsubsw },
				{ "Vphsubw", Mnemonic.Vphsubw },
				{ "Vphsubwd", Mnemonic.Vphsubwd },
				{ "Vpinsrb", Mnemonic.Vpinsrb },
				{ "Vpinsrd", Mnemonic.Vpinsrd },
				{ "Vpinsrq", Mnemonic.Vpinsrq },
				{ "Vpinsrw", Mnemonic.Vpinsrw },
				{ "Vplzcntd", Mnemonic.Vplzcntd },
				{ "Vplzcntq", Mnemonic.Vplzcntq },
				{ "Vpmacsdd", Mnemonic.Vpmacsdd },
				{ "Vpmacsdqh", Mnemonic.Vpmacsdqh },
				{ "Vpmacsdql", Mnemonic.Vpmacsdql },
				{ "Vpmacssdd", Mnemonic.Vpmacssdd },
				{ "Vpmacssdqh", Mnemonic.Vpmacssdqh },
				{ "Vpmacssdql", Mnemonic.Vpmacssdql },
				{ "Vpmacsswd", Mnemonic.Vpmacsswd },
				{ "Vpmacssww", Mnemonic.Vpmacssww },
				{ "Vpmacswd", Mnemonic.Vpmacswd },
				{ "Vpmacsww", Mnemonic.Vpmacsww },
				{ "Vpmadcsswd", Mnemonic.Vpmadcsswd },
				{ "Vpmadcswd", Mnemonic.Vpmadcswd },
				{ "Vpmadd52huq", Mnemonic.Vpmadd52huq },
				{ "Vpmadd52luq", Mnemonic.Vpmadd52luq },
				{ "Vpmaddubsw", Mnemonic.Vpmaddubsw },
				{ "Vpmaddwd", Mnemonic.Vpmaddwd },
				{ "Vpmaskmovd", Mnemonic.Vpmaskmovd },
				{ "Vpmaskmovq", Mnemonic.Vpmaskmovq },
				{ "Vpmaxsb", Mnemonic.Vpmaxsb },
				{ "Vpmaxsd", Mnemonic.Vpmaxsd },
				{ "Vpmaxsq", Mnemonic.Vpmaxsq },
				{ "Vpmaxsw", Mnemonic.Vpmaxsw },
				{ "Vpmaxub", Mnemonic.Vpmaxub },
				{ "Vpmaxud", Mnemonic.Vpmaxud },
				{ "Vpmaxuq", Mnemonic.Vpmaxuq },
				{ "Vpmaxuw", Mnemonic.Vpmaxuw },
				{ "Vpminsb", Mnemonic.Vpminsb },
				{ "Vpminsd", Mnemonic.Vpminsd },
				{ "Vpminsq", Mnemonic.Vpminsq },
				{ "Vpminsw", Mnemonic.Vpminsw },
				{ "Vpminub", Mnemonic.Vpminub },
				{ "Vpminud", Mnemonic.Vpminud },
				{ "Vpminuq", Mnemonic.Vpminuq },
				{ "Vpminuw", Mnemonic.Vpminuw },
				{ "Vpmovb2m", Mnemonic.Vpmovb2m },
				{ "Vpmovd2m", Mnemonic.Vpmovd2m },
				{ "Vpmovdb", Mnemonic.Vpmovdb },
				{ "Vpmovdw", Mnemonic.Vpmovdw },
				{ "Vpmovm2b", Mnemonic.Vpmovm2b },
				{ "Vpmovm2d", Mnemonic.Vpmovm2d },
				{ "Vpmovm2q", Mnemonic.Vpmovm2q },
				{ "Vpmovm2w", Mnemonic.Vpmovm2w },
				{ "Vpmovmskb", Mnemonic.Vpmovmskb },
				{ "Vpmovq2m", Mnemonic.Vpmovq2m },
				{ "Vpmovqb", Mnemonic.Vpmovqb },
				{ "Vpmovqd", Mnemonic.Vpmovqd },
				{ "Vpmovqw", Mnemonic.Vpmovqw },
				{ "Vpmovsdb", Mnemonic.Vpmovsdb },
				{ "Vpmovsdw", Mnemonic.Vpmovsdw },
				{ "Vpmovsqb", Mnemonic.Vpmovsqb },
				{ "Vpmovsqd", Mnemonic.Vpmovsqd },
				{ "Vpmovsqw", Mnemonic.Vpmovsqw },
				{ "Vpmovswb", Mnemonic.Vpmovswb },
				{ "Vpmovsxbd", Mnemonic.Vpmovsxbd },
				{ "Vpmovsxbq", Mnemonic.Vpmovsxbq },
				{ "Vpmovsxbw", Mnemonic.Vpmovsxbw },
				{ "Vpmovsxdq", Mnemonic.Vpmovsxdq },
				{ "Vpmovsxwd", Mnemonic.Vpmovsxwd },
				{ "Vpmovsxwq", Mnemonic.Vpmovsxwq },
				{ "Vpmovusdb", Mnemonic.Vpmovusdb },
				{ "Vpmovusdw", Mnemonic.Vpmovusdw },
				{ "Vpmovusqb", Mnemonic.Vpmovusqb },
				{ "Vpmovusqd", Mnemonic.Vpmovusqd },
				{ "Vpmovusqw", Mnemonic.Vpmovusqw },
				{ "Vpmovuswb", Mnemonic.Vpmovuswb },
				{ "Vpmovw2m", Mnemonic.Vpmovw2m },
				{ "Vpmovwb", Mnemonic.Vpmovwb },
				{ "Vpmovzxbd", Mnemonic.Vpmovzxbd },
				{ "Vpmovzxbq", Mnemonic.Vpmovzxbq },
				{ "Vpmovzxbw", Mnemonic.Vpmovzxbw },
				{ "Vpmovzxdq", Mnemonic.Vpmovzxdq },
				{ "Vpmovzxwd", Mnemonic.Vpmovzxwd },
				{ "Vpmovzxwq", Mnemonic.Vpmovzxwq },
				{ "Vpmuldq", Mnemonic.Vpmuldq },
				{ "Vpmulhrsw", Mnemonic.Vpmulhrsw },
				{ "Vpmulhuw", Mnemonic.Vpmulhuw },
				{ "Vpmulhw", Mnemonic.Vpmulhw },
				{ "Vpmulld", Mnemonic.Vpmulld },
				{ "Vpmullq", Mnemonic.Vpmullq },
				{ "Vpmullw", Mnemonic.Vpmullw },
				{ "Vpmultishiftqb", Mnemonic.Vpmultishiftqb },
				{ "Vpmuludq", Mnemonic.Vpmuludq },
				{ "Vpopcntb", Mnemonic.Vpopcntb },
				{ "Vpopcntd", Mnemonic.Vpopcntd },
				{ "Vpopcntq", Mnemonic.Vpopcntq },
				{ "Vpopcntw", Mnemonic.Vpopcntw },
				{ "Vpor", Mnemonic.Vpor },
				{ "Vpord", Mnemonic.Vpord },
				{ "Vporq", Mnemonic.Vporq },
				{ "Vpperm", Mnemonic.Vpperm },
				{ "Vprold", Mnemonic.Vprold },
				{ "Vprolq", Mnemonic.Vprolq },
				{ "Vprolvd", Mnemonic.Vprolvd },
				{ "Vprolvq", Mnemonic.Vprolvq },
				{ "Vprord", Mnemonic.Vprord },
				{ "Vprorq", Mnemonic.Vprorq },
				{ "Vprorvd", Mnemonic.Vprorvd },
				{ "Vprorvq", Mnemonic.Vprorvq },
				{ "Vprotb", Mnemonic.Vprotb },
				{ "Vprotd", Mnemonic.Vprotd },
				{ "Vprotq", Mnemonic.Vprotq },
				{ "Vprotw", Mnemonic.Vprotw },
				{ "Vpsadbw", Mnemonic.Vpsadbw },
				{ "Vpscatterdd", Mnemonic.Vpscatterdd },
				{ "Vpscatterdq", Mnemonic.Vpscatterdq },
				{ "Vpscatterqd", Mnemonic.Vpscatterqd },
				{ "Vpscatterqq", Mnemonic.Vpscatterqq },
				{ "Vpshab", Mnemonic.Vpshab },
				{ "Vpshad", Mnemonic.Vpshad },
				{ "Vpshaq", Mnemonic.Vpshaq },
				{ "Vpshaw", Mnemonic.Vpshaw },
				{ "Vpshlb", Mnemonic.Vpshlb },
				{ "Vpshld", Mnemonic.Vpshld },
				{ "Vpshldd", Mnemonic.Vpshldd },
				{ "Vpshldq", Mnemonic.Vpshldq },
				{ "Vpshldvd", Mnemonic.Vpshldvd },
				{ "Vpshldvq", Mnemonic.Vpshldvq },
				{ "Vpshldvw", Mnemonic.Vpshldvw },
				{ "Vpshldw", Mnemonic.Vpshldw },
				{ "Vpshlq", Mnemonic.Vpshlq },
				{ "Vpshlw", Mnemonic.Vpshlw },
				{ "Vpshrdd", Mnemonic.Vpshrdd },
				{ "Vpshrdq", Mnemonic.Vpshrdq },
				{ "Vpshrdvd", Mnemonic.Vpshrdvd },
				{ "Vpshrdvq", Mnemonic.Vpshrdvq },
				{ "Vpshrdvw", Mnemonic.Vpshrdvw },
				{ "Vpshrdw", Mnemonic.Vpshrdw },
				{ "Vpshufb", Mnemonic.Vpshufb },
				{ "Vpshufbitqmb", Mnemonic.Vpshufbitqmb },
				{ "Vpshufd", Mnemonic.Vpshufd },
				{ "Vpshufhw", Mnemonic.Vpshufhw },
				{ "Vpshuflw", Mnemonic.Vpshuflw },
				{ "Vpsignb", Mnemonic.Vpsignb },
				{ "Vpsignd", Mnemonic.Vpsignd },
				{ "Vpsignw", Mnemonic.Vpsignw },
				{ "Vpslld", Mnemonic.Vpslld },
				{ "Vpslldq", Mnemonic.Vpslldq },
				{ "Vpsllq", Mnemonic.Vpsllq },
				{ "Vpsllvd", Mnemonic.Vpsllvd },
				{ "Vpsllvq", Mnemonic.Vpsllvq },
				{ "Vpsllvw", Mnemonic.Vpsllvw },
				{ "Vpsllw", Mnemonic.Vpsllw },
				{ "Vpsrad", Mnemonic.Vpsrad },
				{ "Vpsraq", Mnemonic.Vpsraq },
				{ "Vpsravd", Mnemonic.Vpsravd },
				{ "Vpsravq", Mnemonic.Vpsravq },
				{ "Vpsravw", Mnemonic.Vpsravw },
				{ "Vpsraw", Mnemonic.Vpsraw },
				{ "Vpsrld", Mnemonic.Vpsrld },
				{ "Vpsrldq", Mnemonic.Vpsrldq },
				{ "Vpsrlq", Mnemonic.Vpsrlq },
				{ "Vpsrlvd", Mnemonic.Vpsrlvd },
				{ "Vpsrlvq", Mnemonic.Vpsrlvq },
				{ "Vpsrlvw", Mnemonic.Vpsrlvw },
				{ "Vpsrlw", Mnemonic.Vpsrlw },
				{ "Vpsubb", Mnemonic.Vpsubb },
				{ "Vpsubd", Mnemonic.Vpsubd },
				{ "Vpsubq", Mnemonic.Vpsubq },
				{ "Vpsubsb", Mnemonic.Vpsubsb },
				{ "Vpsubsw", Mnemonic.Vpsubsw },
				{ "Vpsubusb", Mnemonic.Vpsubusb },
				{ "Vpsubusw", Mnemonic.Vpsubusw },
				{ "Vpsubw", Mnemonic.Vpsubw },
				{ "Vpternlogd", Mnemonic.Vpternlogd },
				{ "Vpternlogq", Mnemonic.Vpternlogq },
				{ "Vptest", Mnemonic.Vptest },
				{ "Vptestmb", Mnemonic.Vptestmb },
				{ "Vptestmd", Mnemonic.Vptestmd },
				{ "Vptestmq", Mnemonic.Vptestmq },
				{ "Vptestmw", Mnemonic.Vptestmw },
				{ "Vptestnmb", Mnemonic.Vptestnmb },
				{ "Vptestnmd", Mnemonic.Vptestnmd },
				{ "Vptestnmq", Mnemonic.Vptestnmq },
				{ "Vptestnmw", Mnemonic.Vptestnmw },
				{ "Vpunpckhbw", Mnemonic.Vpunpckhbw },
				{ "Vpunpckhdq", Mnemonic.Vpunpckhdq },
				{ "Vpunpckhqdq", Mnemonic.Vpunpckhqdq },
				{ "Vpunpckhwd", Mnemonic.Vpunpckhwd },
				{ "Vpunpcklbw", Mnemonic.Vpunpcklbw },
				{ "Vpunpckldq", Mnemonic.Vpunpckldq },
				{ "Vpunpcklqdq", Mnemonic.Vpunpcklqdq },
				{ "Vpunpcklwd", Mnemonic.Vpunpcklwd },
				{ "Vpxor", Mnemonic.Vpxor },
				{ "Vpxord", Mnemonic.Vpxord },
				{ "Vpxorq", Mnemonic.Vpxorq },
				{ "Vrangepd", Mnemonic.Vrangepd },
				{ "Vrangeps", Mnemonic.Vrangeps },
				{ "Vrangesd", Mnemonic.Vrangesd },
				{ "Vrangess", Mnemonic.Vrangess },
				{ "Vrcp14pd", Mnemonic.Vrcp14pd },
				{ "Vrcp14ps", Mnemonic.Vrcp14ps },
				{ "Vrcp14sd", Mnemonic.Vrcp14sd },
				{ "Vrcp14ss", Mnemonic.Vrcp14ss },
				{ "Vrcp28pd", Mnemonic.Vrcp28pd },
				{ "Vrcp28ps", Mnemonic.Vrcp28ps },
				{ "Vrcp28sd", Mnemonic.Vrcp28sd },
				{ "Vrcp28ss", Mnemonic.Vrcp28ss },
				{ "Vrcpps", Mnemonic.Vrcpps },
				{ "Vrcpss", Mnemonic.Vrcpss },
				{ "Vreducepd", Mnemonic.Vreducepd },
				{ "Vreduceps", Mnemonic.Vreduceps },
				{ "Vreducesd", Mnemonic.Vreducesd },
				{ "Vreducess", Mnemonic.Vreducess },
				{ "Vrndscalepd", Mnemonic.Vrndscalepd },
				{ "Vrndscaleps", Mnemonic.Vrndscaleps },
				{ "Vrndscalesd", Mnemonic.Vrndscalesd },
				{ "Vrndscaless", Mnemonic.Vrndscaless },
				{ "Vroundpd", Mnemonic.Vroundpd },
				{ "Vroundps", Mnemonic.Vroundps },
				{ "Vroundsd", Mnemonic.Vroundsd },
				{ "Vroundss", Mnemonic.Vroundss },
				{ "Vrsqrt14pd", Mnemonic.Vrsqrt14pd },
				{ "Vrsqrt14ps", Mnemonic.Vrsqrt14ps },
				{ "Vrsqrt14sd", Mnemonic.Vrsqrt14sd },
				{ "Vrsqrt14ss", Mnemonic.Vrsqrt14ss },
				{ "Vrsqrt28pd", Mnemonic.Vrsqrt28pd },
				{ "Vrsqrt28ps", Mnemonic.Vrsqrt28ps },
				{ "Vrsqrt28sd", Mnemonic.Vrsqrt28sd },
				{ "Vrsqrt28ss", Mnemonic.Vrsqrt28ss },
				{ "Vrsqrtps", Mnemonic.Vrsqrtps },
				{ "Vrsqrtss", Mnemonic.Vrsqrtss },
				{ "Vscalefpd", Mnemonic.Vscalefpd },
				{ "Vscalefps", Mnemonic.Vscalefps },
				{ "Vscalefsd", Mnemonic.Vscalefsd },
				{ "Vscalefss", Mnemonic.Vscalefss },
				{ "Vscatterdpd", Mnemonic.Vscatterdpd },
				{ "Vscatterdps", Mnemonic.Vscatterdps },
				{ "Vscatterpf0dpd", Mnemonic.Vscatterpf0dpd },
				{ "Vscatterpf0dps", Mnemonic.Vscatterpf0dps },
				{ "Vscatterpf0qpd", Mnemonic.Vscatterpf0qpd },
				{ "Vscatterpf0qps", Mnemonic.Vscatterpf0qps },
				{ "Vscatterpf1dpd", Mnemonic.Vscatterpf1dpd },
				{ "Vscatterpf1dps", Mnemonic.Vscatterpf1dps },
				{ "Vscatterpf1qpd", Mnemonic.Vscatterpf1qpd },
				{ "Vscatterpf1qps", Mnemonic.Vscatterpf1qps },
				{ "Vscatterqpd", Mnemonic.Vscatterqpd },
				{ "Vscatterqps", Mnemonic.Vscatterqps },
				{ "Vshuff32x4", Mnemonic.Vshuff32x4 },
				{ "Vshuff64x2", Mnemonic.Vshuff64x2 },
				{ "Vshufi32x4", Mnemonic.Vshufi32x4 },
				{ "Vshufi64x2", Mnemonic.Vshufi64x2 },
				{ "Vshufpd", Mnemonic.Vshufpd },
				{ "Vshufps", Mnemonic.Vshufps },
				{ "Vsqrtpd", Mnemonic.Vsqrtpd },
				{ "Vsqrtps", Mnemonic.Vsqrtps },
				{ "Vsqrtsd", Mnemonic.Vsqrtsd },
				{ "Vsqrtss", Mnemonic.Vsqrtss },
				{ "Vstmxcsr", Mnemonic.Vstmxcsr },
				{ "Vsubpd", Mnemonic.Vsubpd },
				{ "Vsubps", Mnemonic.Vsubps },
				{ "Vsubsd", Mnemonic.Vsubsd },
				{ "Vsubss", Mnemonic.Vsubss },
				{ "Vtestpd", Mnemonic.Vtestpd },
				{ "Vtestps", Mnemonic.Vtestps },
				{ "Vucomisd", Mnemonic.Vucomisd },
				{ "Vucomiss", Mnemonic.Vucomiss },
				{ "Vunpckhpd", Mnemonic.Vunpckhpd },
				{ "Vunpckhps", Mnemonic.Vunpckhps },
				{ "Vunpcklpd", Mnemonic.Vunpcklpd },
				{ "Vunpcklps", Mnemonic.Vunpcklps },
				{ "Vxorpd", Mnemonic.Vxorpd },
				{ "Vxorps", Mnemonic.Vxorps },
				{ "Vzeroall", Mnemonic.Vzeroall },
				{ "Vzeroupper", Mnemonic.Vzeroupper },
				{ "Wait", Mnemonic.Wait },
				{ "Wbinvd", Mnemonic.Wbinvd },
				{ "Wbnoinvd", Mnemonic.Wbnoinvd },
				{ "Wrfsbase", Mnemonic.Wrfsbase },
				{ "Wrgsbase", Mnemonic.Wrgsbase },
				{ "Wrmsr", Mnemonic.Wrmsr },
				{ "Wrpkru", Mnemonic.Wrpkru },
				{ "Wrssd", Mnemonic.Wrssd },
				{ "Wrssq", Mnemonic.Wrssq },
				{ "Wrussd", Mnemonic.Wrussd },
				{ "Wrussq", Mnemonic.Wrussq },
				{ "Xabort", Mnemonic.Xabort },
				{ "Xadd", Mnemonic.Xadd },
				{ "Xbegin", Mnemonic.Xbegin },
				{ "Xbts", Mnemonic.Xbts },
				{ "Xchg", Mnemonic.Xchg },
				{ "Xcryptcbc", Mnemonic.Xcryptcbc },
				{ "Xcryptcfb", Mnemonic.Xcryptcfb },
				{ "Xcryptctr", Mnemonic.Xcryptctr },
				{ "Xcryptecb", Mnemonic.Xcryptecb },
				{ "Xcryptofb", Mnemonic.Xcryptofb },
				{ "Xend", Mnemonic.Xend },
				{ "Xgetbv", Mnemonic.Xgetbv },
				{ "Xlatb", Mnemonic.Xlatb },
				{ "Xor", Mnemonic.Xor },
				{ "Xorpd", Mnemonic.Xorpd },
				{ "Xorps", Mnemonic.Xorps },
				{ "Xrstor", Mnemonic.Xrstor },
				{ "Xrstor64", Mnemonic.Xrstor64 },
				{ "Xrstors", Mnemonic.Xrstors },
				{ "Xrstors64", Mnemonic.Xrstors64 },
				{ "Xsave", Mnemonic.Xsave },
				{ "Xsave64", Mnemonic.Xsave64 },
				{ "Xsavec", Mnemonic.Xsavec },
				{ "Xsavec64", Mnemonic.Xsavec64 },
				{ "Xsaveopt", Mnemonic.Xsaveopt },
				{ "Xsaveopt64", Mnemonic.Xsaveopt64 },
				{ "Xsaves", Mnemonic.Xsaves },
				{ "Xsaves64", Mnemonic.Xsaves64 },
				{ "Xsetbv", Mnemonic.Xsetbv },
				{ "Xsha1", Mnemonic.Xsha1 },
				{ "Xsha256", Mnemonic.Xsha256 },
				{ "Xstore", Mnemonic.Xstore },
				{ "Xtest", Mnemonic.Xtest },
				{ "Rmpadjust", Mnemonic.Rmpadjust },
				{ "Rmpupdate", Mnemonic.Rmpupdate },
				{ "Psmash", Mnemonic.Psmash },
				{ "Pvalidate", Mnemonic.Pvalidate },
				{ "Serialize", Mnemonic.Serialize },
				{ "Xsusldtrk", Mnemonic.Xsusldtrk },
				{ "Xresldtrk", Mnemonic.Xresldtrk },
				{ "Invlpgb", Mnemonic.Invlpgb },
				{ "Tlbsync", Mnemonic.Tlbsync },
				{ "Vmgexit", Mnemonic.Vmgexit },
				{ "Getsecq", Mnemonic.Getsecq },
				{ "Sysexitq", Mnemonic.Sysexitq },
				{ "Ldtilecfg", Mnemonic.Ldtilecfg },
				{ "Tilerelease", Mnemonic.Tilerelease },
				{ "Sttilecfg", Mnemonic.Sttilecfg },
				{ "Tilezero", Mnemonic.Tilezero },
				{ "Tileloaddt1", Mnemonic.Tileloaddt1 },
				{ "Tilestored", Mnemonic.Tilestored },
				{ "Tileloadd", Mnemonic.Tileloadd },
				{ "Tdpbf16ps", Mnemonic.Tdpbf16ps },
				{ "Tdpbuud", Mnemonic.Tdpbuud },
				{ "Tdpbusd", Mnemonic.Tdpbusd },
				{ "Tdpbsud", Mnemonic.Tdpbsud },
				{ "Tdpbssd", Mnemonic.Tdpbssd },
				{ "Sysretq", Mnemonic.Sysretq },
				{ "Fnstdw", Mnemonic.Fnstdw },
				{ "Fnstsg", Mnemonic.Fnstsg },
				{ "Rdshr", Mnemonic.Rdshr },
				{ "Wrshr", Mnemonic.Wrshr },
				{ "Smint", Mnemonic.Smint },
				{ "Dmint", Mnemonic.Dmint },
				{ "Rdm", Mnemonic.Rdm },
				{ "Svdc", Mnemonic.Svdc },
				{ "Rsdc", Mnemonic.Rsdc },
				{ "Svldt", Mnemonic.Svldt },
				{ "Rsldt", Mnemonic.Rsldt },
				{ "Svts", Mnemonic.Svts },
				{ "Rsts", Mnemonic.Rsts },
				{ "Bb0_reset", Mnemonic.Bb0_reset },
				{ "Bb1_reset", Mnemonic.Bb1_reset },
				{ "Cpu_write", Mnemonic.Cpu_write },
				{ "Cpu_read", Mnemonic.Cpu_read },
				{ "Altinst", Mnemonic.Altinst },
				{ "Paveb", Mnemonic.Paveb },
				{ "Paddsiw", Mnemonic.Paddsiw },
				{ "Pmagw", Mnemonic.Pmagw },
				{ "Pdistib", Mnemonic.Pdistib },
				{ "Psubsiw", Mnemonic.Psubsiw },
				{ "Pmvzb", Mnemonic.Pmvzb },
				{ "Pmvnzb", Mnemonic.Pmvnzb },
				{ "Pmvlzb", Mnemonic.Pmvlzb },
				{ "Pmvgezb", Mnemonic.Pmvgezb },
				{ "Pmulhriw", Mnemonic.Pmulhriw },
				{ "Pmachriw", Mnemonic.Pmachriw },
				{ "Ftstp", Mnemonic.Ftstp },
				{ "Frint2", Mnemonic.Frint2 },
				{ "Frichop", Mnemonic.Frichop },
				{ "Frinear", Mnemonic.Frinear },
				{ "Undoc", Mnemonic.Undoc },
				{ "Tdcall", Mnemonic.Tdcall },
				{ "Seamret", Mnemonic.Seamret },
				{ "Seamops", Mnemonic.Seamops },
				{ "Seamcall", Mnemonic.Seamcall },
				{ "Aesencwide128kl", Mnemonic.Aesencwide128kl },
				{ "Aesdecwide128kl", Mnemonic.Aesdecwide128kl },
				{ "Aesencwide256kl", Mnemonic.Aesencwide256kl },
				{ "Aesdecwide256kl", Mnemonic.Aesdecwide256kl },
				{ "Loadiwkey", Mnemonic.Loadiwkey },
				{ "Aesenc128kl", Mnemonic.Aesenc128kl },
				{ "Aesdec128kl", Mnemonic.Aesdec128kl },
				{ "Aesenc256kl", Mnemonic.Aesenc256kl },
				{ "Aesdec256kl", Mnemonic.Aesdec256kl },
				{ "Encodekey128", Mnemonic.Encodekey128 },
				{ "Encodekey256", Mnemonic.Encodekey256 },
				{ "Pushad", Mnemonic.Pushad },
				{ "Popad", Mnemonic.Popad },
				{ "Pushfd", Mnemonic.Pushfd },
				{ "Pushfq", Mnemonic.Pushfq },
				{ "Popfd", Mnemonic.Popfd },
				{ "Popfq", Mnemonic.Popfq },
				{ "Iretd", Mnemonic.Iretd },
				{ "Iretq", Mnemonic.Iretq },
				{ "Int3", Mnemonic.Int3 },
				{ "Uiret", Mnemonic.Uiret },
				{ "Testui", Mnemonic.Testui },
				{ "Clui", Mnemonic.Clui },
				{ "Stui", Mnemonic.Stui },
				{ "Senduipi", Mnemonic.Senduipi },
				{ "Hreset", Mnemonic.Hreset },
				{ "Ccs_hash", Mnemonic.Ccs_hash },
				{ "Ccs_encrypt", Mnemonic.Ccs_encrypt },
				{ "Lkgs", Mnemonic.Lkgs },
				{ "Eretu", Mnemonic.Eretu },
				{ "Erets", Mnemonic.Erets },
				{ "Storeall", Mnemonic.Storeall },
				{ "Vaddph", Mnemonic.Vaddph },
				{ "Vaddsh", Mnemonic.Vaddsh },
				{ "Vcmpph", Mnemonic.Vcmpph },
				{ "Vcmpsh", Mnemonic.Vcmpsh },
				{ "Vcomish", Mnemonic.Vcomish },
				{ "Vcvtdq2ph", Mnemonic.Vcvtdq2ph },
				{ "Vcvtpd2ph", Mnemonic.Vcvtpd2ph },
				{ "Vcvtph2dq", Mnemonic.Vcvtph2dq },
				{ "Vcvtph2pd", Mnemonic.Vcvtph2pd },
				{ "Vcvtph2psx", Mnemonic.Vcvtph2psx },
				{ "Vcvtph2qq", Mnemonic.Vcvtph2qq },
				{ "Vcvtph2udq", Mnemonic.Vcvtph2udq },
				{ "Vcvtph2uqq", Mnemonic.Vcvtph2uqq },
				{ "Vcvtph2uw", Mnemonic.Vcvtph2uw },
				{ "Vcvtph2w", Mnemonic.Vcvtph2w },
				{ "Vcvtps2phx", Mnemonic.Vcvtps2phx },
				{ "Vcvtqq2ph", Mnemonic.Vcvtqq2ph },
				{ "Vcvtsd2sh", Mnemonic.Vcvtsd2sh },
				{ "Vcvtsh2sd", Mnemonic.Vcvtsh2sd },
				{ "Vcvtsh2si", Mnemonic.Vcvtsh2si },
				{ "Vcvtsh2ss", Mnemonic.Vcvtsh2ss },
				{ "Vcvtsh2usi", Mnemonic.Vcvtsh2usi },
				{ "Vcvtsi2sh", Mnemonic.Vcvtsi2sh },
				{ "Vcvtss2sh", Mnemonic.Vcvtss2sh },
				{ "Vcvttph2dq", Mnemonic.Vcvttph2dq },
				{ "Vcvttph2qq", Mnemonic.Vcvttph2qq },
				{ "Vcvttph2udq", Mnemonic.Vcvttph2udq },
				{ "Vcvttph2uqq", Mnemonic.Vcvttph2uqq },
				{ "Vcvttph2uw", Mnemonic.Vcvttph2uw },
				{ "Vcvttph2w", Mnemonic.Vcvttph2w },
				{ "Vcvttsh2si", Mnemonic.Vcvttsh2si },
				{ "Vcvttsh2usi", Mnemonic.Vcvttsh2usi },
				{ "Vcvtudq2ph", Mnemonic.Vcvtudq2ph },
				{ "Vcvtuqq2ph", Mnemonic.Vcvtuqq2ph },
				{ "Vcvtusi2sh", Mnemonic.Vcvtusi2sh },
				{ "Vcvtuw2ph", Mnemonic.Vcvtuw2ph },
				{ "Vcvtw2ph", Mnemonic.Vcvtw2ph },
				{ "Vdivph", Mnemonic.Vdivph },
				{ "Vdivsh", Mnemonic.Vdivsh },
				{ "Vfcmaddcph", Mnemonic.Vfcmaddcph },
				{ "Vfmaddcph", Mnemonic.Vfmaddcph },
				{ "Vfcmaddcsh", Mnemonic.Vfcmaddcsh },
				{ "Vfmaddcsh", Mnemonic.Vfmaddcsh },
				{ "Vfcmulcph", Mnemonic.Vfcmulcph },
				{ "Vfmulcph", Mnemonic.Vfmulcph },
				{ "Vfcmulcsh", Mnemonic.Vfcmulcsh },
				{ "Vfmulcsh", Mnemonic.Vfmulcsh },
				{ "Vfmaddsub132ph", Mnemonic.Vfmaddsub132ph },
				{ "Vfmaddsub213ph", Mnemonic.Vfmaddsub213ph },
				{ "Vfmaddsub231ph", Mnemonic.Vfmaddsub231ph },
				{ "Vfmsubadd132ph", Mnemonic.Vfmsubadd132ph },
				{ "Vfmsubadd213ph", Mnemonic.Vfmsubadd213ph },
				{ "Vfmsubadd231ph", Mnemonic.Vfmsubadd231ph },
				{ "Vfmadd132ph", Mnemonic.Vfmadd132ph },
				{ "Vfmadd213ph", Mnemonic.Vfmadd213ph },
				{ "Vfmadd231ph", Mnemonic.Vfmadd231ph },
				{ "Vfnmadd132ph", Mnemonic.Vfnmadd132ph },
				{ "Vfnmadd213ph", Mnemonic.Vfnmadd213ph },
				{ "Vfnmadd231ph", Mnemonic.Vfnmadd231ph },
				{ "Vfmadd132sh", Mnemonic.Vfmadd132sh },
				{ "Vfmadd213sh", Mnemonic.Vfmadd213sh },
				{ "Vfmadd231sh", Mnemonic.Vfmadd231sh },
				{ "Vfnmadd132sh", Mnemonic.Vfnmadd132sh },
				{ "Vfnmadd213sh", Mnemonic.Vfnmadd213sh },
				{ "Vfnmadd231sh", Mnemonic.Vfnmadd231sh },
				{ "Vfmsub132ph", Mnemonic.Vfmsub132ph },
				{ "Vfmsub213ph", Mnemonic.Vfmsub213ph },
				{ "Vfmsub231ph", Mnemonic.Vfmsub231ph },
				{ "Vfnmsub132ph", Mnemonic.Vfnmsub132ph },
				{ "Vfnmsub213ph", Mnemonic.Vfnmsub213ph },
				{ "Vfnmsub231ph", Mnemonic.Vfnmsub231ph },
				{ "Vfmsub132sh", Mnemonic.Vfmsub132sh },
				{ "Vfmsub213sh", Mnemonic.Vfmsub213sh },
				{ "Vfmsub231sh", Mnemonic.Vfmsub231sh },
				{ "Vfnmsub132sh", Mnemonic.Vfnmsub132sh },
				{ "Vfnmsub213sh", Mnemonic.Vfnmsub213sh },
				{ "Vfnmsub231sh", Mnemonic.Vfnmsub231sh },
				{ "Vfpclassph", Mnemonic.Vfpclassph },
				{ "Vfpclasssh", Mnemonic.Vfpclasssh },
				{ "Vgetexpph", Mnemonic.Vgetexpph },
				{ "Vgetexpsh", Mnemonic.Vgetexpsh },
				{ "Vgetmantph", Mnemonic.Vgetmantph },
				{ "Vgetmantsh", Mnemonic.Vgetmantsh },
				{ "Vmaxph", Mnemonic.Vmaxph },
				{ "Vmaxsh", Mnemonic.Vmaxsh },
				{ "Vminph", Mnemonic.Vminph },
				{ "Vminsh", Mnemonic.Vminsh },
				{ "Vmovsh", Mnemonic.Vmovsh },
				{ "Vmovw", Mnemonic.Vmovw },
				{ "Vmulph", Mnemonic.Vmulph },
				{ "Vmulsh", Mnemonic.Vmulsh },
				{ "Vrcpph", Mnemonic.Vrcpph },
				{ "Vrcpsh", Mnemonic.Vrcpsh },
				{ "Vreduceph", Mnemonic.Vreduceph },
				{ "Vreducesh", Mnemonic.Vreducesh },
				{ "Vrndscaleph", Mnemonic.Vrndscaleph },
				{ "Vrndscalesh", Mnemonic.Vrndscalesh },
				{ "Vrsqrtph", Mnemonic.Vrsqrtph },
				{ "Vrsqrtsh", Mnemonic.Vrsqrtsh },
				{ "Vscalefph", Mnemonic.Vscalefph },
				{ "Vscalefsh", Mnemonic.Vscalefsh },
				{ "Vsqrtph", Mnemonic.Vsqrtph },
				{ "Vsqrtsh", Mnemonic.Vsqrtsh },
				{ "Vsubph", Mnemonic.Vsubph },
				{ "Vsubsh", Mnemonic.Vsubsh },
				{ "Vucomish", Mnemonic.Vucomish },
				{ "Rdudbg", Mnemonic.Rdudbg },
				{ "Wrudbg", Mnemonic.Wrudbg },
				{ "Clevict0", Mnemonic.Clevict0 },
				{ "Clevict1", Mnemonic.Clevict1 },
				{ "Delay", Mnemonic.Delay },
				{ "Jknzd", Mnemonic.Jknzd },
				{ "Jkzd", Mnemonic.Jkzd },
				{ "Kand", Mnemonic.Kand },
				{ "Kandn", Mnemonic.Kandn },
				{ "Kandnr", Mnemonic.Kandnr },
				{ "Kconcath", Mnemonic.Kconcath },
				{ "Kconcatl", Mnemonic.Kconcatl },
				{ "Kextract", Mnemonic.Kextract },
				{ "Kmerge2l1h", Mnemonic.Kmerge2l1h },
				{ "Kmerge2l1l", Mnemonic.Kmerge2l1l },
				{ "Kmov", Mnemonic.Kmov },
				{ "Knot", Mnemonic.Knot },
				{ "Kor", Mnemonic.Kor },
				{ "Kortest", Mnemonic.Kortest },
				{ "Kxnor", Mnemonic.Kxnor },
				{ "Kxor", Mnemonic.Kxor },
				{ "Spflt", Mnemonic.Spflt },
				{ "Tzcnti", Mnemonic.Tzcnti },
				{ "Vaddnpd", Mnemonic.Vaddnpd },
				{ "Vaddnps", Mnemonic.Vaddnps },
				{ "Vaddsetsps", Mnemonic.Vaddsetsps },
				{ "Vcvtfxpntdq2ps", Mnemonic.Vcvtfxpntdq2ps },
				{ "Vcvtfxpntpd2dq", Mnemonic.Vcvtfxpntpd2dq },
				{ "Vcvtfxpntpd2udq", Mnemonic.Vcvtfxpntpd2udq },
				{ "Vcvtfxpntps2dq", Mnemonic.Vcvtfxpntps2dq },
				{ "Vcvtfxpntps2udq", Mnemonic.Vcvtfxpntps2udq },
				{ "Vcvtfxpntudq2ps", Mnemonic.Vcvtfxpntudq2ps },
				{ "Vexp223ps", Mnemonic.Vexp223ps },
				{ "Vfixupnanpd", Mnemonic.Vfixupnanpd },
				{ "Vfixupnanps", Mnemonic.Vfixupnanps },
				{ "Vfmadd233ps", Mnemonic.Vfmadd233ps },
				{ "Vgatherpf0hintdpd", Mnemonic.Vgatherpf0hintdpd },
				{ "Vgatherpf0hintdps", Mnemonic.Vgatherpf0hintdps },
				{ "Vgmaxabsps", Mnemonic.Vgmaxabsps },
				{ "Vgmaxpd", Mnemonic.Vgmaxpd },
				{ "Vgmaxps", Mnemonic.Vgmaxps },
				{ "Vgminpd", Mnemonic.Vgminpd },
				{ "Vgminps", Mnemonic.Vgminps },
				{ "Vloadunpackhd", Mnemonic.Vloadunpackhd },
				{ "Vloadunpackhpd", Mnemonic.Vloadunpackhpd },
				{ "Vloadunpackhps", Mnemonic.Vloadunpackhps },
				{ "Vloadunpackhq", Mnemonic.Vloadunpackhq },
				{ "Vloadunpackld", Mnemonic.Vloadunpackld },
				{ "Vloadunpacklpd", Mnemonic.Vloadunpacklpd },
				{ "Vloadunpacklps", Mnemonic.Vloadunpacklps },
				{ "Vloadunpacklq", Mnemonic.Vloadunpacklq },
				{ "Vlog2ps", Mnemonic.Vlog2ps },
				{ "Vmovnrapd", Mnemonic.Vmovnrapd },
				{ "Vmovnraps", Mnemonic.Vmovnraps },
				{ "Vmovnrngoapd", Mnemonic.Vmovnrngoapd },
				{ "Vmovnrngoaps", Mnemonic.Vmovnrngoaps },
				{ "Vpackstorehd", Mnemonic.Vpackstorehd },
				{ "Vpackstorehpd", Mnemonic.Vpackstorehpd },
				{ "Vpackstorehps", Mnemonic.Vpackstorehps },
				{ "Vpackstorehq", Mnemonic.Vpackstorehq },
				{ "Vpackstoreld", Mnemonic.Vpackstoreld },
				{ "Vpackstorelpd", Mnemonic.Vpackstorelpd },
				{ "Vpackstorelps", Mnemonic.Vpackstorelps },
				{ "Vpackstorelq", Mnemonic.Vpackstorelq },
				{ "Vpadcd", Mnemonic.Vpadcd },
				{ "Vpaddsetcd", Mnemonic.Vpaddsetcd },
				{ "Vpaddsetsd", Mnemonic.Vpaddsetsd },
				{ "Vpcmpltd", Mnemonic.Vpcmpltd },
				{ "Vpermf32x4", Mnemonic.Vpermf32x4 },
				{ "Vpmadd231d", Mnemonic.Vpmadd231d },
				{ "Vpmadd233d", Mnemonic.Vpmadd233d },
				{ "Vpmulhd", Mnemonic.Vpmulhd },
				{ "Vpmulhud", Mnemonic.Vpmulhud },
				{ "Vprefetch0", Mnemonic.Vprefetch0 },
				{ "Vprefetch1", Mnemonic.Vprefetch1 },
				{ "Vprefetch2", Mnemonic.Vprefetch2 },
				{ "Vprefetche0", Mnemonic.Vprefetche0 },
				{ "Vprefetche1", Mnemonic.Vprefetche1 },
				{ "Vprefetche2", Mnemonic.Vprefetche2 },
				{ "Vprefetchenta", Mnemonic.Vprefetchenta },
				{ "Vprefetchnta", Mnemonic.Vprefetchnta },
				{ "Vpsbbd", Mnemonic.Vpsbbd },
				{ "Vpsbbrd", Mnemonic.Vpsbbrd },
				{ "Vpsubrd", Mnemonic.Vpsubrd },
				{ "Vpsubrsetbd", Mnemonic.Vpsubrsetbd },
				{ "Vpsubsetbd", Mnemonic.Vpsubsetbd },
				{ "Vrcp23ps", Mnemonic.Vrcp23ps },
				{ "Vrndfxpntpd", Mnemonic.Vrndfxpntpd },
				{ "Vrndfxpntps", Mnemonic.Vrndfxpntps },
				{ "Vrsqrt23ps", Mnemonic.Vrsqrt23ps },
				{ "Vscaleps", Mnemonic.Vscaleps },
				{ "Vscatterpf0hintdpd", Mnemonic.Vscatterpf0hintdpd },
				{ "Vscatterpf0hintdps", Mnemonic.Vscatterpf0hintdps },
				{ "Vsubrpd", Mnemonic.Vsubrpd },
				{ "Vsubrps", Mnemonic.Vsubrps },
				{ "Xsha512", Mnemonic.Xsha512 },
				{ "Xstore_alt", Mnemonic.Xstore_alt },
				{ "Xsha512_alt", Mnemonic.Xsha512_alt },
				{ "Zero_bytes", Mnemonic.Zero_bytes },
			};
			// GENERATOR-END: MnemonicHash
	}
}
