// SPDX-License-Identifier: MIT
// Copyright (C) 2018-present iced project and contributors

// ⚠️This file was generated by GENERATOR!🦹‍♂️

#nullable enable

#if MVEX
namespace Iced.Intel {
	/// <summary>MVEX register/memory operand conversion</summary>
	public enum MvexRegMemConv {
		/// <summary>No operand conversion</summary>
		None = 0,
		/// <summary>Register swizzle: <c>zmm0</c> or <c>zmm0 {dcba}</c></summary>
		RegSwizzleNone = 1,
		/// <summary>Register swizzle: <c>zmm0 {cdab}</c></summary>
		RegSwizzleCdab = 2,
		/// <summary>Register swizzle: <c>zmm0 {badc}</c></summary>
		RegSwizzleBadc = 3,
		/// <summary>Register swizzle: <c>zmm0 {dacb}</c></summary>
		RegSwizzleDacb = 4,
		/// <summary>Register swizzle: <c>zmm0 {aaaa}</c></summary>
		RegSwizzleAaaa = 5,
		/// <summary>Register swizzle: <c>zmm0 {bbbb}</c></summary>
		RegSwizzleBbbb = 6,
		/// <summary>Register swizzle: <c>zmm0 {cccc}</c></summary>
		RegSwizzleCccc = 7,
		/// <summary>Register swizzle: <c>zmm0 {dddd}</c></summary>
		RegSwizzleDddd = 8,
		/// <summary>Memory Up/DownConv: <c>[rax]</c> / <c>zmm0</c></summary>
		MemConvNone = 9,
		/// <summary>Memory UpConv: <c>[rax] {1to16}</c> or <c>[rax] {1to8}</c></summary>
		MemConvBroadcast1 = 10,
		/// <summary>Memory UpConv: <c>[rax] {4to16}</c> or <c>[rax] {4to8}</c></summary>
		MemConvBroadcast4 = 11,
		/// <summary>Memory Up/DownConv: <c>[rax] {float16}</c> / <c>zmm0 {float16}</c></summary>
		MemConvFloat16 = 12,
		/// <summary>Memory Up/DownConv: <c>[rax] {uint8}</c> / <c>zmm0 {uint8}</c></summary>
		MemConvUint8 = 13,
		/// <summary>Memory Up/DownConv: <c>[rax] {sint8}</c> / <c>zmm0 {sint8}</c></summary>
		MemConvSint8 = 14,
		/// <summary>Memory Up/DownConv: <c>[rax] {uint16}</c> / <c>zmm0 {uint16}</c></summary>
		MemConvUint16 = 15,
		/// <summary>Memory Up/DownConv: <c>[rax] {sint16}</c> / <c>zmm0 {sint16}</c></summary>
		MemConvSint16 = 16,
	}
}
#endif
